/* auto-generated on Sun Aug  4 15:43:41 EDT 2019. Do not edit! */
/* begin file include/simdjson/simdjson_version.h */
// /include/simdjson/simdjson_version.h automatically generated by release.py,
// do not change by hand
#ifndef SIMDJSON_INCLUDE_SIMDJSON_VERSION
#define SIMDJSON_INCLUDE_SIMDJSON_VERSION
#define SIMDJSON_VERSION 0.2.1
namespace simdjson {
enum {
  SIMDJSON_VERSION_MAJOR = 0,
  SIMDJSON_VERSION_MINOR = 2,
  SIMDJSON_VERSION_REVISION = 1
};
}
#endif // SIMDJSON_INCLUDE_SIMDJSON_VERSION
/* end file include/simdjson/simdjson_version.h */
/* begin file include/simdjson/portability.h */
#ifndef SIMDJSON_PORTABILITY_H
#define SIMDJSON_PORTABILITY_H

#if defined(__x86_64__) || defined(_M_AMD64)
#define IS_X86_64 1
#endif
#if defined(__aarch64__) || defined(_M_ARM64)
#define IS_ARM64 1
#endif

// this is almost standard?
#define STRINGIFY(a) #a

// we are going to use runtime dispatch
#ifdef IS_X86_64
#ifdef __clang__
// clang does not have GCC push pop
// warning: clang attribute push can't be used within a namespace in clang up
// til 8.0 so TARGET_REGION and UNTARGET_REGION must be *outside* of a
// namespace.
#define TARGET_REGION(T)                                                       \
  _Pragma(STRINGIFY(                                                           \
      clang attribute push(__attribute__((target(T))), apply_to = function)))
#define UNTARGET_REGION _Pragma("clang attribute pop")
#elif defined(__GNUC__)
// GCC is easier
#define TARGET_REGION(T)                                                       \
  _Pragma("GCC push_options") _Pragma(STRINGIFY(GCC target(T)))
#define UNTARGET_REGION _Pragma("GCC pop_options")
#else
#define TARGET_REGION(T)
#define UNTARGET_REGION
#endif // clang then gcc

// under GCC and CLANG, we use these two macros
#define TARGET_HASWELL TARGET_REGION("avx2,bmi,pclmul")
#define TARGET_WESTMERE TARGET_REGION("sse4.2,pclmul")

#endif // x86

#ifdef _MSC_VER
#include <intrin.h>
#else
#if IS_X86_64
#include <x86intrin.h>
#elif IS_ARM64
#include <arm_neon.h>
#endif
#endif

#ifdef _MSC_VER
/* Microsoft C/C++-compatible compiler */
#include <cstdint>
#include <iso646.h>

namespace simdjson {
static inline bool add_overflow(uint64_t value1, uint64_t value2,
                                uint64_t *result) {
  return _addcarry_u64(0, value1, value2,
                       reinterpret_cast<unsigned __int64 *>(result));
}

#pragma intrinsic(_umul128)
static inline bool mul_overflow(uint64_t value1, uint64_t value2,
                                uint64_t *result) {
  uint64_t high;
  *result = _umul128(value1, value2, &high);
  return high;
}

static inline int trailing_zeroes(uint64_t input_num) {
  return static_cast<int>(_tzcnt_u64(input_num));
}

static inline int leading_zeroes(uint64_t input_num) {
  return static_cast<int>(_lzcnt_u64(input_num));
}

static inline int hamming(uint64_t input_num) {
#ifdef _WIN64 // highly recommended!!!
  return (int)__popcnt64(input_num);
#else // if we must support 32-bit Windows
  return (int)(__popcnt((uint32_t)input_num) +
               __popcnt((uint32_t)(input_num >> 32)));
#endif
}
} // namespace simdjson
#else
#include <cstdint>
#include <cstdlib>

namespace simdjson {
static inline bool add_overflow(uint64_t value1, uint64_t value2,
                                uint64_t *result) {
  return __builtin_uaddll_overflow(value1, value2,
                                   (unsigned long long *)result);
}
static inline bool mul_overflow(uint64_t value1, uint64_t value2,
                                uint64_t *result) {
  return __builtin_umulll_overflow(value1, value2,
                                   (unsigned long long *)result);
}

/* result might be undefined when input_num is zero */
static inline int trailing_zeroes(uint64_t input_num) {
#ifdef __BMI__ // tzcnt is BMI1
  return _tzcnt_u64(input_num);
#else
  return __builtin_ctzll(input_num);
#endif
}

/* result might be undefined when input_num is zero */
static inline int leading_zeroes(uint64_t input_num) {
#ifdef __BMI2__
  return _lzcnt_u64(input_num);
#else
  return __builtin_clzll(input_num);
#endif
}

/* result might be undefined when input_num is zero */
static inline int hamming(uint64_t input_num) {
#ifdef __POPCOUNT__
  return _popcnt64(input_num);
#else
  return __builtin_popcountll(input_num);
#endif
}
} // namespace simdjson
#endif // _MSC_VER

namespace simdjson {
// portable version of  posix_memalign
static inline void *aligned_malloc(size_t alignment, size_t size) {
  void *p;
#ifdef _MSC_VER
  p = _aligned_malloc(size, alignment);
#elif defined(__MINGW32__) || defined(__MINGW64__)
  p = __mingw_aligned_malloc(size, alignment);
#else
  // somehow, if this is used before including "x86intrin.h", it creates an
  // implicit defined warning.
  if (posix_memalign(&p, alignment, size) != 0) {
    return nullptr;
  }
#endif
  return p;
}

static inline char *aligned_malloc_char(size_t alignment, size_t size) {
  return (char *)aligned_malloc(alignment, size);
}

static inline void aligned_free(void *mem_block) {
  if (mem_block == nullptr) {
    return;
  }
#ifdef _MSC_VER
  _aligned_free(mem_block);
#elif defined(__MINGW32__) || defined(__MINGW64__)
  __mingw_aligned_free(mem_block);
#else
  free(mem_block);
#endif
}

static inline void aligned_free_char(char *mem_block) {
  aligned_free((void *)mem_block);
}
} // namespace simdjson
#endif // SIMDJSON_PORTABILITY_H
/* end file include/simdjson/portability.h */
/* begin file include/simdjson/isadetection.h */
/* From
https://github.com/endorno/pytorch/blob/master/torch/lib/TH/generic/simd/simd.h
Highly modified.

Copyright (c) 2016-     Facebook, Inc            (Adam Paszke)
Copyright (c) 2014-     Facebook, Inc            (Soumith Chintala)
Copyright (c) 2011-2014 Idiap Research Institute (Ronan Collobert)
Copyright (c) 2012-2014 Deepmind Technologies    (Koray Kavukcuoglu)
Copyright (c) 2011-2012 NEC Laboratories America (Koray Kavukcuoglu)
Copyright (c) 2011-2013 NYU                      (Clement Farabet)
Copyright (c) 2006-2010 NEC Laboratories America (Ronan Collobert, Leon Bottou,
Iain Melvin, Jason Weston) Copyright (c) 2006      Idiap Research Institute
(Samy Bengio) Copyright (c) 2001-2004 Idiap Research Institute (Ronan Collobert,
Samy Bengio, Johnny Mariethoz)

All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. Neither the names of Facebook, Deepmind Technologies, NYU, NEC Laboratories
America and IDIAP Research Institute nor the names of its contributors may be
   used to endorse or promote products derived from this software without
   specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef SIMDJSON_ISADETECTION_H
#define SIMDJSON_ISADETECTION_H

#include <stdint.h>
#include <stdlib.h>
#if defined(_MSC_VER)
#include <intrin.h>
#elif defined(HAVE_GCC_GET_CPUID) && defined(USE_GCC_GET_CPUID)
#include <cpuid.h>
#endif

namespace simdjson {
// Can be found on Intel ISA Reference for CPUID
constexpr uint32_t cpuid_avx2_bit = 1 << 5;      // Bit 5 of EBX for EAX=0x7
constexpr uint32_t cpuid_bmi1_bit = 1 << 3;      // bit 3 of EBX for EAX=0x7
constexpr uint32_t cpuid_bmi2_bit = 1 << 8;      // bit 8 of EBX for EAX=0x7
constexpr uint32_t cpuid_sse42_bit = 1 << 20;    // bit 20 of ECX for EAX=0x1
constexpr uint32_t cpuid_pclmulqdq_bit = 1 << 1; // bit  1 of ECX for EAX=0x1

enum instruction_set {
  DEFAULT = 0x0,
  NEON = 0x1,
  AVX2 = 0x4,
  SSE42 = 0x8,
  PCLMULQDQ = 0x10,
  BMI1 = 0x20,
  BMI2 = 0x40
};

#if defined(__arm__) || defined(__aarch64__) // incl. armel, armhf, arm64

#if defined(__NEON__)

static inline uint32_t detect_supported_architectures() {
  return instruction_set::NEON;
}

#else // ARM without NEON

static inline uint32_t detect_supported_architectures() {
  return instruction_set::DEFAULT;
}

#endif

#else // x86
static inline void cpuid(uint32_t *eax, uint32_t *ebx, uint32_t *ecx,
                         uint32_t *edx) {
#if defined(_MSC_VER)
  int cpu_info[4];
  __cpuid(cpu_info, *eax);
  *eax = cpu_info[0];
  *ebx = cpu_info[1];
  *ecx = cpu_info[2];
  *edx = cpu_info[3];
#elif defined(HAVE_GCC_GET_CPUID) && defined(USE_GCC_GET_CPUID)
  uint32_t level = *eax;
  __get_cpuid(level, eax, ebx, ecx, edx);
#else
  uint32_t a = *eax, b, c = *ecx, d;
  asm volatile("cpuid\n\t" : "+a"(a), "=b"(b), "+c"(c), "=d"(d));
  *eax = a;
  *ebx = b;
  *ecx = c;
  *edx = d;
#endif
}

static inline uint32_t detect_supported_architectures() {
  uint32_t eax, ebx, ecx, edx;
  uint32_t host_isa = 0x0;

  // ECX for EAX=0x7
  eax = 0x7;
  ecx = 0x0;
  cpuid(&eax, &ebx, &ecx, &edx);

  if (ebx & cpuid_avx2_bit) {
    host_isa |= instruction_set::AVX2;
  }

  if (ebx & cpuid_bmi1_bit) {
    host_isa |= instruction_set::BMI1;
  }

  if (ebx & cpuid_bmi2_bit) {
    host_isa |= instruction_set::BMI2;
  }

  // EBX for EAX=0x1
  eax = 0x1;
  cpuid(&eax, &ebx, &ecx, &edx);

  if (ecx & cpuid_sse42_bit) {
    host_isa |= instruction_set::SSE42;
  }

  if (ecx & cpuid_pclmulqdq_bit) {
    host_isa |= instruction_set::PCLMULQDQ;
  }

  return host_isa;
}

#endif // end SIMD extension detection code
} // namespace simdjson
#endif
/* end file include/simdjson/isadetection.h */
/* begin file include/simdjson/simdjson.h */
#ifndef SIMDJSON_ERR_H
#define SIMDJSON_ERR_H

#include <string>

namespace simdjson {
// Represents the minimal architecture that would support an implementation
enum class Architecture {
  WESTMERE,
  HASWELL,
  ARM64,
  NONE,
// TODO remove 'native' in favor of runtime dispatch?
// the 'native' enum class value should point at a good default on the current
// machine
#ifdef IS_X86_64
  NATIVE = WESTMERE
#elif defined(IS_ARM64)
  NATIVE = ARM64
#endif
};

enum ErrorValues {
  SUCCESS = 0,
  CAPACITY,    // This ParsedJson can't support a document that big
  MEMALLOC,    // Error allocating memory, most likely out of memory
  TAPE_ERROR,  // Something went wrong while writing to the tape (stage 2), this
               // is a generic error
  DEPTH_ERROR, // Your document exceeds the user-specified depth limitation
  STRING_ERROR,    // Problem while parsing a string
  T_ATOM_ERROR,    // Problem while parsing an atom starting with the letter 't'
  F_ATOM_ERROR,    // Problem while parsing an atom starting with the letter 'f'
  N_ATOM_ERROR,    // Problem while parsing an atom starting with the letter 'n'
  NUMBER_ERROR,    // Problem while parsing a number
  UTF8_ERROR,      // the input is not valid UTF-8
  UNITIALIZED,     // unknown error, or uninitialized document
  EMPTY,           // no structural document found
  UNESCAPED_CHARS, // found unescaped characters in a string.
  UNCLOSED_STRING, // missing quote at the end
  UNEXPECTED_ERROR // indicative of a bug in simdjson
};
const std::string &error_message(const int);
} // namespace simdjson
#endif
/* end file include/simdjson/simdjson.h */
/* begin file include/simdjson/common_defs.h */
#ifndef SIMDJSON_COMMON_DEFS_H
#define SIMDJSON_COMMON_DEFS_H


#include <cassert>

// we support documents up to 4GB
#define SIMDJSON_MAXSIZE_BYTES 0xFFFFFFFF

// the input buf should be readable up to buf + SIMDJSON_PADDING
#ifdef __AVX2__
#define SIMDJSON_PADDING sizeof(__m256i)
#else
// this is a stopgap; there should be a better description of the
// main loop and its behavior that abstracts over this
#define SIMDJSON_PADDING 32
#endif

#ifndef _MSC_VER
// Implemented using Labels as Values which works in GCC and CLANG (and maybe
// also in Intel's compiler), but won't work in MSVC.
#define SIMDJSON_USE_COMPUTED_GOTO
#endif

// Align to N-byte boundary
#define ROUNDUP_N(a, n) (((a) + ((n)-1)) & ~((n)-1))
#define ROUNDDOWN_N(a, n) ((a) & ~((n)-1))

#define ISALIGNED_N(ptr, n) (((uintptr_t)(ptr) & ((n)-1)) == 0)

#ifdef _MSC_VER
#define really_inline __forceinline
#define never_inline __declspec(noinline)

#define UNUSED
#define WARN_UNUSED

#ifndef likely
#define likely(x) x
#endif
#ifndef unlikely
#define unlikely(x) x
#endif

// For Visual Studio compilers, same-page buffer overrun is not fine.
#define ALLOW_SAME_PAGE_BUFFER_OVERRUN false

#else

// For non-Visual Studio compilers, we may assume that same-page buffer overrun
// is fine. However, it will make it difficult to be "valgrind clean".
//#ifndef ALLOW_SAME_PAGE_BUFFER_OVERRUN
//#define ALLOW_SAME_PAGE_BUFFER_OVERRUN true
//#else
#define ALLOW_SAME_PAGE_BUFFER_OVERRUN false
//#endif

// The following is likely unnecessarily complex.
#ifdef __SANITIZE_ADDRESS__
// we have GCC, stuck with https://gcc.gnu.org/bugzilla/show_bug.cgi?id=67368
#define ALLOW_SAME_PAGE_BUFFER_OVERRUN false
#elif defined(__has_feature)
// we have CLANG?
// todo: if we're setting ALLOW_SAME_PAGE_BUFFER_OVERRUN to false, why do we
// have a non-empty qualifier?
#if (__has_feature(address_sanitizer))
#define ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER                               \
  __attribute__((no_sanitize("address")))
#endif
#endif

#if defined(__has_feature)
#if (__has_feature(memory_sanitizer))
#define LENIENT_MEM_SANITIZER __attribute__((no_sanitize("memory")))
#endif
#endif

#define really_inline inline __attribute__((always_inline, unused))
#define never_inline inline __attribute__((noinline, unused))

#define UNUSED __attribute__((unused))
#define WARN_UNUSED __attribute__((warn_unused_result))

#ifndef likely
#define likely(x) __builtin_expect(!!(x), 1)
#endif
#ifndef unlikely
#define unlikely(x) __builtin_expect(!!(x), 0)
#endif

#endif // MSC_VER

// if it does not apply, make it an empty macro
#ifndef ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER
#define ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER
#endif
#ifndef LENIENT_MEM_SANITIZER
#define LENIENT_MEM_SANITIZER
#endif

#endif // SIMDJSON_COMMON_DEFS_H
/* end file include/simdjson/common_defs.h */
/* begin file include/simdjson/padded_string.h */
#ifndef SIMDJSON_PADDING_STRING_H
#define SIMDJSON_PADDING_STRING_H
#include <cstring>
#include <memory>

namespace simdjson {
// low-level function to allocate memory with padding so we can read passed the
// "length" bytes safely. if you must provide a pointer to some data, create it
// with this function: length is the max. size in bytes of the string caller is
// responsible to free the memory (free(...))
char *allocate_padded_buffer(size_t length);

// Simple string with padded allocation.
// We deliberately forbid copies, users should rely on swap or move
// constructors.
class padded_string {
public:
  explicit padded_string() noexcept : viable_size(0), data_ptr(nullptr) {}
  explicit padded_string(size_t length) noexcept
      : viable_size(length), data_ptr(allocate_padded_buffer(length)) {

    if (data_ptr != nullptr)
      data_ptr[length] = '\0'; // easier when you need a c_str
  }
  explicit padded_string(char *data, size_t length) noexcept
      : viable_size(length), data_ptr(allocate_padded_buffer(length)) {
    if (data_ptr != nullptr) {
      memcpy(data_ptr, data, length);
      data_ptr[length] = '\0'; // easier when you need a c_str
    }
  }
  padded_string(std::string s) noexcept
      : viable_size(s.size()), data_ptr(allocate_padded_buffer(s.size())) {
    if (data_ptr != nullptr) {
      memcpy(data_ptr, s.data(), s.size());
      data_ptr[s.size()] = '\0'; // easier when you need a c_str
    }
  }
  padded_string(padded_string &&o) noexcept
      : viable_size(o.viable_size), data_ptr(o.data_ptr) {
    o.data_ptr = nullptr; // we take ownership
  }
  void swap(padded_string &o) {
    size_t tmp_viable_size = viable_size;
    char *tmp_data_ptr = data_ptr;
    viable_size = o.viable_size;
    data_ptr = o.data_ptr;
    o.data_ptr = tmp_data_ptr;
    o.viable_size = tmp_viable_size;
  }

  ~padded_string() { aligned_free_char(data_ptr); }

  size_t size() const { return viable_size; }

  size_t length() const { return viable_size; }

  char *data() const { return data_ptr; }

private:
  padded_string &operator=(const padded_string &o) = delete;
  padded_string(const padded_string &o) = delete;

  size_t viable_size;
  char *data_ptr;
};
} // namespace simdjson

#endif
/* end file include/simdjson/padded_string.h */
/* begin file include/simdjson/jsoncharutils.h */
#ifndef SIMDJSON_JSONCHARUTILS_H
#define SIMDJSON_JSONCHARUTILS_H


namespace simdjson {
// structural chars here are
// they are { 0x7b } 0x7d : 0x3a [ 0x5b ] 0x5d , 0x2c (and NULL)
// we are also interested in the four whitespace characters
// space 0x20, linefeed 0x0a, horizontal tab 0x09 and carriage return 0x0d

// these are the chars that can follow a true/false/null or number atom
// and nothing else
const uint32_t structural_or_whitespace_or_null_negated[256] = {
    0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1,

    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1, 1,

    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,

    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1};

// return non-zero if not a structural or whitespace char
// zero otherwise
really_inline uint32_t is_not_structural_or_whitespace_or_null(uint8_t c) {
  return structural_or_whitespace_or_null_negated[c];
}

const uint32_t structural_or_whitespace_negated[256] = {
    1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1,

    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1, 1,

    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,

    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1};

// return non-zero if not a structural or whitespace char
// zero otherwise
really_inline uint32_t is_not_structural_or_whitespace(uint8_t c) {
  return structural_or_whitespace_negated[c];
}

const uint32_t structural_or_whitespace_or_null[256] = {
    1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};

really_inline uint32_t is_structural_or_whitespace_or_null(uint8_t c) {
  return structural_or_whitespace_or_null[c];
}

const uint32_t structural_or_whitespace[256] = {
    0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};

really_inline uint32_t is_structural_or_whitespace(uint8_t c) {
  return structural_or_whitespace[c];
}

const uint32_t digit_to_val32[886] = {
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0x0,        0x1,        0x2,        0x3,        0x4,        0x5,
    0x6,        0x7,        0x8,        0x9,        0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xa,
    0xb,        0xc,        0xd,        0xe,        0xf,        0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xa,        0xb,        0xc,        0xd,        0xe,
    0xf,        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0x0,        0x10,       0x20,       0x30,       0x40,       0x50,
    0x60,       0x70,       0x80,       0x90,       0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xa0,
    0xb0,       0xc0,       0xd0,       0xe0,       0xf0,       0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xa0,       0xb0,       0xc0,       0xd0,       0xe0,
    0xf0,       0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0x0,        0x100,      0x200,      0x300,      0x400,      0x500,
    0x600,      0x700,      0x800,      0x900,      0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xa00,
    0xb00,      0xc00,      0xd00,      0xe00,      0xf00,      0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xa00,      0xb00,      0xc00,      0xd00,      0xe00,
    0xf00,      0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0x0,        0x1000,     0x2000,     0x3000,     0x4000,     0x5000,
    0x6000,     0x7000,     0x8000,     0x9000,     0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xa000,
    0xb000,     0xc000,     0xd000,     0xe000,     0xf000,     0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xa000,     0xb000,     0xc000,     0xd000,     0xe000,
    0xf000,     0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
    0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF};
// returns a value with the high 16 bits set if not valid
// otherwise returns the conversion of the 4 hex digits at src into the bottom
// 16 bits of the 32-bit return register
//
// see
// https://lemire.me/blog/2019/04/17/parsing-short-hexadecimal-strings-efficiently/
static inline uint32_t hex_to_u32_nocheck(
    const uint8_t *src) { // strictly speaking, static inline is a C-ism
  uint32_t v1 = digit_to_val32[630 + src[0]];
  uint32_t v2 = digit_to_val32[420 + src[1]];
  uint32_t v3 = digit_to_val32[210 + src[2]];
  uint32_t v4 = digit_to_val32[0 + src[3]];
  return v1 | v2 | v3 | v4;
}

// given a code point cp, writes to c
// the utf-8 code, outputting the length in
// bytes, if the length is zero, the code point
// is invalid
//
// This can possibly be made faster using pdep
// and clz and table lookups, but JSON documents
// have few escaped code points, and the following
// function looks cheap.
//
// Note: we assume that surrogates are treated separately
//
inline size_t codepoint_to_utf8(uint32_t cp, uint8_t *c) {
  if (cp <= 0x7F) {
    c[0] = cp;
    return 1; // ascii
  }
  if (cp <= 0x7FF) {
    c[0] = (cp >> 6) + 192;
    c[1] = (cp & 63) + 128;
    return 2; // universal plane
    //  Surrogates are treated elsewhere...
    //} //else if (0xd800 <= cp && cp <= 0xdfff) {
    //  return 0; // surrogates // could put assert here
  } else if (cp <= 0xFFFF) {
    c[0] = (cp >> 12) + 224;
    c[1] = ((cp >> 6) & 63) + 128;
    c[2] = (cp & 63) + 128;
    return 3;
  } else if (cp <= 0x10FFFF) { // if you know you have a valid code point, this
                               // is not needed
    c[0] = (cp >> 18) + 240;
    c[1] = ((cp >> 12) & 63) + 128;
    c[2] = ((cp >> 6) & 63) + 128;
    c[3] = (cp & 63) + 128;
    return 4;
  }
  // will return 0 when the code point was too large.
  return 0; // bad r
}
} // namespace simdjson

#endif
/* end file include/simdjson/jsoncharutils.h */
/* begin file include/simdjson/jsonformatutils.h */
#ifndef SIMDJSON_JSONFORMATUTILS_H
#define SIMDJSON_JSONFORMATUTILS_H

#include <cstdio>
#include <iomanip>
#include <iostream>

namespace simdjson {
// ends with zero char
static inline void print_with_escapes(const unsigned char *src) {
  while (*src) {
    switch (*src) {
    case '\b':
      putchar('\\');
      putchar('b');
      break;
    case '\f':
      putchar('\\');
      putchar('f');
      break;
    case '\n':
      putchar('\\');
      putchar('n');
      break;
    case '\r':
      putchar('\\');
      putchar('r');
      break;
    case '\"':
      putchar('\\');
      putchar('"');
      break;
    case '\t':
      putchar('\\');
      putchar('t');
      break;
    case '\\':
      putchar('\\');
      putchar('\\');
      break;
    default:
      if (*src <= 0x1F) {
        printf("\\u%04x", *src);
      } else {
        putchar(*src);
      }
    }
    src++;
  }
}

// ends with zero char
static inline void print_with_escapes(const unsigned char *src,
                                      std::ostream &os) {
  while (*src) {
    switch (*src) {
    case '\b':
      os << '\\';
      os << 'b';
      break;
    case '\f':
      os << '\\';
      os << 'f';
      break;
    case '\n':
      os << '\\';
      os << 'n';
      break;
    case '\r':
      os << '\\';
      os << 'r';
      break;
    case '\"':
      os << '\\';
      os << '"';
      break;
    case '\t':
      os << '\\';
      os << 't';
      break;
    case '\\':
      os << '\\';
      os << '\\';
      break;
    default:
      if (*src <= 0x1F) {
        std::ios::fmtflags f(os.flags());
        os << std::hex << std::setw(4) << std::setfill('0')
           << static_cast<int>(*src);
        os.flags(f);
      } else {
        os << *src;
      }
    }
    src++;
  }
}

// print len chars
static inline void print_with_escapes(const unsigned char *src, size_t len) {
  const unsigned char *finalsrc = src + len;
  while (src < finalsrc) {
    switch (*src) {
    case '\b':
      putchar('\\');
      putchar('b');
      break;
    case '\f':
      putchar('\\');
      putchar('f');
      break;
    case '\n':
      putchar('\\');
      putchar('n');
      break;
    case '\r':
      putchar('\\');
      putchar('r');
      break;
    case '\"':
      putchar('\\');
      putchar('"');
      break;
    case '\t':
      putchar('\\');
      putchar('t');
      break;
    case '\\':
      putchar('\\');
      putchar('\\');
      break;
    default:
      if (*src <= 0x1F) {
        printf("\\u%04x", *src);
      } else {
        putchar(*src);
      }
    }
    src++;
  }
}

// print len chars
static inline void print_with_escapes(const unsigned char *src,
                                      std::ostream &os, size_t len) {
  const unsigned char *finalsrc = src + len;
  while (src < finalsrc) {
    switch (*src) {
    case '\b':
      os << '\\';
      os << 'b';
      break;
    case '\f':
      os << '\\';
      os << 'f';
      break;
    case '\n':
      os << '\\';
      os << 'n';
      break;
    case '\r':
      os << '\\';
      os << 'r';
      break;
    case '\"':
      os << '\\';
      os << '"';
      break;
    case '\t':
      os << '\\';
      os << 't';
      break;
    case '\\':
      os << '\\';
      os << '\\';
      break;
    default:
      if (*src <= 0x1F) {
        std::ios::fmtflags f(os.flags());
        os << std::hex << std::setw(4) << std::setfill('0')
           << static_cast<int>(*src);
        os.flags(f);
      } else {
        os << *src;
      }
    }
    src++;
  }
}

static inline void print_with_escapes(const char *src, std::ostream &os) {
  print_with_escapes(reinterpret_cast<const unsigned char *>(src), os);
}

static inline void print_with_escapes(const char *src, std::ostream &os,
                                      size_t len) {
  print_with_escapes(reinterpret_cast<const unsigned char *>(src), os, len);
}
} // namespace simdjson

#
#endif
/* end file include/simdjson/jsonformatutils.h */
/* begin file include/simdjson/jsonioutil.h */
#ifndef SIMDJSON_JSONIOUTIL_H
#define SIMDJSON_JSONIOUTIL_H

#include <exception>
#include <fstream>
#include <iostream>
#include <sstream>
#include <string>


namespace simdjson {

// load a file in memory...
// get a corpus; pad out to cache line so we can always use SIMD
// throws exceptions in case of failure
// first element of the pair is a string (null terminated)
// whereas the second element is the length.
// caller is responsible to free (aligned_free((void*)result.data())))
//
// throws an exception if the file cannot be opened, use try/catch
//      try {
//        p = get_corpus(filename);
//      } catch (const std::exception& e) {
//        aligned_free((void*)p.data());
//        std::cout << "Could not load the file " << filename << std::endl;
//      }
padded_string get_corpus(const std::string &filename);
} // namespace simdjson

#endif
/* end file include/simdjson/jsonioutil.h */
/* begin file include/simdjson/simdprune_tables.h */
#ifndef SIMDJSON_SIMDPRUNE_TABLES_H
#define SIMDJSON_SIMDPRUNE_TABLES_H
#include <cstdint>


namespace simdjson {
static const unsigned char mask128_epi8[] = {
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x8, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xb, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xb, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xb, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xb,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xc, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xc, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xc, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xc, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xc,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xc, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x8, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x9, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x8, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xa, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xb, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xb,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xb, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xb, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x8, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xd, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xd, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xd,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xd, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xd, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xd, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x8, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x9, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xb, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xb, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xb, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xb,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x9, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x8, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xc, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xc, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xc, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xc, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xc,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xc, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xb, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xb, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xb, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xb,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x8, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x9, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x8, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xe, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xe, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xe, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xe, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xe,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xe, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xb, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xb, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xb,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xb, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xa, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x8, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x9, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x8, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xc, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xc,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xc, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xc, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xc, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xb, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xb,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xb, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x8, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xa, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x8, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x9, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x8, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xd,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xd, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xd, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xd, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xd, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xd, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xb,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xb, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xb, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x9, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x8, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xa, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x8, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x9, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xc, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xc, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xc, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xc, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xc,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xc, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x7, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x7, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x7, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xa, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xa, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xa, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x9, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0xb, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xb, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xb, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0xb, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xb, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xb,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x8, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x8,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x8, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x7,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x7,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x9, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x9,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x9, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x9, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x9, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x7,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x8, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x8,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x8, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x7,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0xa, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0xa, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xa, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0xa, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0xa,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xa, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x7,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x8, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x6, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x8,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x5, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x8, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x7,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5,
    0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x9,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x6, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x9, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5,
    0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x5, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x9, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x9, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x9, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x9, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5,
    0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5,
    0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6,
    0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x7,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6,
    0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4,
    0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5,
    0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5,
    0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4,
    0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4,
    0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5,
    0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5,
    0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x5, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x4, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6,
    0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x6, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4,
    0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4,
    0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x4, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x8, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x5, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x8, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x8, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x8, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x8,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x8, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4,
    0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3,
    0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3,
    0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x3, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x3, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4,
    0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x3, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x3, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x3, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x3, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x6, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6,
    0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3,
    0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3,
    0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x3, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x3, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x3, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x3, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x6, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x6, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x6, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3,
    0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x3, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x3, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x3, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x5, 0x7, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x5, 0x7, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x5, 0x7, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x5, 0x7, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x7, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x7, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x7, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x7, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x7,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x5, 0x6, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x5, 0x6, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4, 0x5, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4, 0x5, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x4,
    0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x4,
    0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x4, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x5, 0x6, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x5, 0x6, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x5, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x5, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x5, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x6, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x4, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x4, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x4,
    0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x4,
    0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x4, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x6, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x6, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x6, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x6,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2,
    0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2,
    0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x6, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0x5, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0x5, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4, 0x5, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4, 0x5, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2,
    0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2,
    0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x2, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x2, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x1, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x1, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x4, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x5, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x5, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x5, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x5, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x5, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x5, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1,
    0x2, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1,
    0x2, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x2, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x2, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x1, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x1, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x5, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0x4, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0x4, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0x4, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0x4, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0x4, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0x4, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3, 0x4,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3, 0x4,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0,
    0x1, 0x2, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x1, 0x2, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x0, 0x2, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x2, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x0, 0x1, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x1, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x4, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x2, 0x3, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x2, 0x3, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x2, 0x3, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x2, 0x3, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0x3, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0x3, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0x3,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x3,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0x0, 0x1, 0x2, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0x1, 0x2, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0x0, 0x2, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0x2, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0x0, 0x1, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0x1, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0x0, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
    0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf};

static const unsigned char mask128_epi32[] = {
    0x0,  0x1,  0x2,  0x3,  0x4,  0x5,  0x6,  0x7,  0x8,  0x9,  0xa,  0xb,
    0xc,  0xd,  0xe,  0xf,  0x4,  0x5,  0x6,  0x7,  0x8,  0x9,  0xa,  0xb,
    0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,  0x0,  0x1,  0x2,  0x3,
    0x8,  0x9,  0xa,  0xb,  0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,
    0x8,  0x9,  0xa,  0xb,  0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,
    0xc,  0xd,  0xe,  0xf,  0x0,  0x1,  0x2,  0x3,  0x4,  0x5,  0x6,  0x7,
    0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,  0x4,  0x5,  0x6,  0x7,
    0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,
    0x0,  0x1,  0x2,  0x3,  0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,
    0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,
    0xc,  0xd,  0xe,  0xf,  0xc,  0xd,  0xe,  0xf,  0x0,  0x1,  0x2,  0x3,
    0x4,  0x5,  0x6,  0x7,  0x8,  0x9,  0xa,  0xb,  0x8,  0x9,  0xa,  0xb,
    0x4,  0x5,  0x6,  0x7,  0x8,  0x9,  0xa,  0xb,  0x8,  0x9,  0xa,  0xb,
    0x8,  0x9,  0xa,  0xb,  0x0,  0x1,  0x2,  0x3,  0x8,  0x9,  0xa,  0xb,
    0x8,  0x9,  0xa,  0xb,  0x8,  0x9,  0xa,  0xb,  0x8,  0x9,  0xa,  0xb,
    0x8,  0x9,  0xa,  0xb,  0x8,  0x9,  0xa,  0xb,  0x8,  0x9,  0xa,  0xb,
    0x0,  0x1,  0x2,  0x3,  0x4,  0x5,  0x6,  0x7,  0x4,  0x5,  0x6,  0x7,
    0x4,  0x5,  0x6,  0x7,  0x4,  0x5,  0x6,  0x7,  0x4,  0x5,  0x6,  0x7,
    0x4,  0x5,  0x6,  0x7,  0x4,  0x5,  0x6,  0x7,  0x0,  0x1,  0x2,  0x3,
    0x0,  0x1,  0x2,  0x3,  0x0,  0x1,  0x2,  0x3,  0x0,  0x1,  0x2,  0x3,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff,
};
} // namespace simdjson

namespace simdjson {
static const uint32_t mask256_epi32[] = {
    0, 1, 2, 3, 4, 5, 6, 7, 1, 2, 3, 4, 5, 6, 7, 7, 0, 2, 3, 4, 5, 6, 7, 7, 2,
    3, 4, 5, 6, 7, 7, 7, 0, 1, 3, 4, 5, 6, 7, 7, 1, 3, 4, 5, 6, 7, 7, 7, 0, 3,
    4, 5, 6, 7, 7, 7, 3, 4, 5, 6, 7, 7, 7, 7, 0, 1, 2, 4, 5, 6, 7, 7, 1, 2, 4,
    5, 6, 7, 7, 7, 0, 2, 4, 5, 6, 7, 7, 7, 2, 4, 5, 6, 7, 7, 7, 7, 0, 1, 4, 5,
    6, 7, 7, 7, 1, 4, 5, 6, 7, 7, 7, 7, 0, 4, 5, 6, 7, 7, 7, 7, 4, 5, 6, 7, 7,
    7, 7, 7, 0, 1, 2, 3, 5, 6, 7, 7, 1, 2, 3, 5, 6, 7, 7, 7, 0, 2, 3, 5, 6, 7,
    7, 7, 2, 3, 5, 6, 7, 7, 7, 7, 0, 1, 3, 5, 6, 7, 7, 7, 1, 3, 5, 6, 7, 7, 7,
    7, 0, 3, 5, 6, 7, 7, 7, 7, 3, 5, 6, 7, 7, 7, 7, 7, 0, 1, 2, 5, 6, 7, 7, 7,
    1, 2, 5, 6, 7, 7, 7, 7, 0, 2, 5, 6, 7, 7, 7, 7, 2, 5, 6, 7, 7, 7, 7, 7, 0,
    1, 5, 6, 7, 7, 7, 7, 1, 5, 6, 7, 7, 7, 7, 7, 0, 5, 6, 7, 7, 7, 7, 7, 5, 6,
    7, 7, 7, 7, 7, 7, 0, 1, 2, 3, 4, 6, 7, 7, 1, 2, 3, 4, 6, 7, 7, 7, 0, 2, 3,
    4, 6, 7, 7, 7, 2, 3, 4, 6, 7, 7, 7, 7, 0, 1, 3, 4, 6, 7, 7, 7, 1, 3, 4, 6,
    7, 7, 7, 7, 0, 3, 4, 6, 7, 7, 7, 7, 3, 4, 6, 7, 7, 7, 7, 7, 0, 1, 2, 4, 6,
    7, 7, 7, 1, 2, 4, 6, 7, 7, 7, 7, 0, 2, 4, 6, 7, 7, 7, 7, 2, 4, 6, 7, 7, 7,
    7, 7, 0, 1, 4, 6, 7, 7, 7, 7, 1, 4, 6, 7, 7, 7, 7, 7, 0, 4, 6, 7, 7, 7, 7,
    7, 4, 6, 7, 7, 7, 7, 7, 7, 0, 1, 2, 3, 6, 7, 7, 7, 1, 2, 3, 6, 7, 7, 7, 7,
    0, 2, 3, 6, 7, 7, 7, 7, 2, 3, 6, 7, 7, 7, 7, 7, 0, 1, 3, 6, 7, 7, 7, 7, 1,
    3, 6, 7, 7, 7, 7, 7, 0, 3, 6, 7, 7, 7, 7, 7, 3, 6, 7, 7, 7, 7, 7, 7, 0, 1,
    2, 6, 7, 7, 7, 7, 1, 2, 6, 7, 7, 7, 7, 7, 0, 2, 6, 7, 7, 7, 7, 7, 2, 6, 7,
    7, 7, 7, 7, 7, 0, 1, 6, 7, 7, 7, 7, 7, 1, 6, 7, 7, 7, 7, 7, 7, 0, 6, 7, 7,
    7, 7, 7, 7, 6, 7, 7, 7, 7, 7, 7, 7, 0, 1, 2, 3, 4, 5, 7, 7, 1, 2, 3, 4, 5,
    7, 7, 7, 0, 2, 3, 4, 5, 7, 7, 7, 2, 3, 4, 5, 7, 7, 7, 7, 0, 1, 3, 4, 5, 7,
    7, 7, 1, 3, 4, 5, 7, 7, 7, 7, 0, 3, 4, 5, 7, 7, 7, 7, 3, 4, 5, 7, 7, 7, 7,
    7, 0, 1, 2, 4, 5, 7, 7, 7, 1, 2, 4, 5, 7, 7, 7, 7, 0, 2, 4, 5, 7, 7, 7, 7,
    2, 4, 5, 7, 7, 7, 7, 7, 0, 1, 4, 5, 7, 7, 7, 7, 1, 4, 5, 7, 7, 7, 7, 7, 0,
    4, 5, 7, 7, 7, 7, 7, 4, 5, 7, 7, 7, 7, 7, 7, 0, 1, 2, 3, 5, 7, 7, 7, 1, 2,
    3, 5, 7, 7, 7, 7, 0, 2, 3, 5, 7, 7, 7, 7, 2, 3, 5, 7, 7, 7, 7, 7, 0, 1, 3,
    5, 7, 7, 7, 7, 1, 3, 5, 7, 7, 7, 7, 7, 0, 3, 5, 7, 7, 7, 7, 7, 3, 5, 7, 7,
    7, 7, 7, 7, 0, 1, 2, 5, 7, 7, 7, 7, 1, 2, 5, 7, 7, 7, 7, 7, 0, 2, 5, 7, 7,
    7, 7, 7, 2, 5, 7, 7, 7, 7, 7, 7, 0, 1, 5, 7, 7, 7, 7, 7, 1, 5, 7, 7, 7, 7,
    7, 7, 0, 5, 7, 7, 7, 7, 7, 7, 5, 7, 7, 7, 7, 7, 7, 7, 0, 1, 2, 3, 4, 7, 7,
    7, 1, 2, 3, 4, 7, 7, 7, 7, 0, 2, 3, 4, 7, 7, 7, 7, 2, 3, 4, 7, 7, 7, 7, 7,
    0, 1, 3, 4, 7, 7, 7, 7, 1, 3, 4, 7, 7, 7, 7, 7, 0, 3, 4, 7, 7, 7, 7, 7, 3,
    4, 7, 7, 7, 7, 7, 7, 0, 1, 2, 4, 7, 7, 7, 7, 1, 2, 4, 7, 7, 7, 7, 7, 0, 2,
    4, 7, 7, 7, 7, 7, 2, 4, 7, 7, 7, 7, 7, 7, 0, 1, 4, 7, 7, 7, 7, 7, 1, 4, 7,
    7, 7, 7, 7, 7, 0, 4, 7, 7, 7, 7, 7, 7, 4, 7, 7, 7, 7, 7, 7, 7, 0, 1, 2, 3,
    7, 7, 7, 7, 1, 2, 3, 7, 7, 7, 7, 7, 0, 2, 3, 7, 7, 7, 7, 7, 2, 3, 7, 7, 7,
    7, 7, 7, 0, 1, 3, 7, 7, 7, 7, 7, 1, 3, 7, 7, 7, 7, 7, 7, 0, 3, 7, 7, 7, 7,
    7, 7, 3, 7, 7, 7, 7, 7, 7, 7, 0, 1, 2, 7, 7, 7, 7, 7, 1, 2, 7, 7, 7, 7, 7,
    7, 0, 2, 7, 7, 7, 7, 7, 7, 2, 7, 7, 7, 7, 7, 7, 7, 0, 1, 7, 7, 7, 7, 7, 7,
    1, 7, 7, 7, 7, 7, 7, 7, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0,
    1, 2, 3, 4, 5, 6, 6, 1, 2, 3, 4, 5, 6, 6, 6, 0, 2, 3, 4, 5, 6, 6, 6, 2, 3,
    4, 5, 6, 6, 6, 6, 0, 1, 3, 4, 5, 6, 6, 6, 1, 3, 4, 5, 6, 6, 6, 6, 0, 3, 4,
    5, 6, 6, 6, 6, 3, 4, 5, 6, 6, 6, 6, 6, 0, 1, 2, 4, 5, 6, 6, 6, 1, 2, 4, 5,
    6, 6, 6, 6, 0, 2, 4, 5, 6, 6, 6, 6, 2, 4, 5, 6, 6, 6, 6, 6, 0, 1, 4, 5, 6,
    6, 6, 6, 1, 4, 5, 6, 6, 6, 6, 6, 0, 4, 5, 6, 6, 6, 6, 6, 4, 5, 6, 6, 6, 6,
    6, 6, 0, 1, 2, 3, 5, 6, 6, 6, 1, 2, 3, 5, 6, 6, 6, 6, 0, 2, 3, 5, 6, 6, 6,
    6, 2, 3, 5, 6, 6, 6, 6, 6, 0, 1, 3, 5, 6, 6, 6, 6, 1, 3, 5, 6, 6, 6, 6, 6,
    0, 3, 5, 6, 6, 6, 6, 6, 3, 5, 6, 6, 6, 6, 6, 6, 0, 1, 2, 5, 6, 6, 6, 6, 1,
    2, 5, 6, 6, 6, 6, 6, 0, 2, 5, 6, 6, 6, 6, 6, 2, 5, 6, 6, 6, 6, 6, 6, 0, 1,
    5, 6, 6, 6, 6, 6, 1, 5, 6, 6, 6, 6, 6, 6, 0, 5, 6, 6, 6, 6, 6, 6, 5, 6, 6,
    6, 6, 6, 6, 6, 0, 1, 2, 3, 4, 6, 6, 6, 1, 2, 3, 4, 6, 6, 6, 6, 0, 2, 3, 4,
    6, 6, 6, 6, 2, 3, 4, 6, 6, 6, 6, 6, 0, 1, 3, 4, 6, 6, 6, 6, 1, 3, 4, 6, 6,
    6, 6, 6, 0, 3, 4, 6, 6, 6, 6, 6, 3, 4, 6, 6, 6, 6, 6, 6, 0, 1, 2, 4, 6, 6,
    6, 6, 1, 2, 4, 6, 6, 6, 6, 6, 0, 2, 4, 6, 6, 6, 6, 6, 2, 4, 6, 6, 6, 6, 6,
    6, 0, 1, 4, 6, 6, 6, 6, 6, 1, 4, 6, 6, 6, 6, 6, 6, 0, 4, 6, 6, 6, 6, 6, 6,
    4, 6, 6, 6, 6, 6, 6, 6, 0, 1, 2, 3, 6, 6, 6, 6, 1, 2, 3, 6, 6, 6, 6, 6, 0,
    2, 3, 6, 6, 6, 6, 6, 2, 3, 6, 6, 6, 6, 6, 6, 0, 1, 3, 6, 6, 6, 6, 6, 1, 3,
    6, 6, 6, 6, 6, 6, 0, 3, 6, 6, 6, 6, 6, 6, 3, 6, 6, 6, 6, 6, 6, 6, 0, 1, 2,
    6, 6, 6, 6, 6, 1, 2, 6, 6, 6, 6, 6, 6, 0, 2, 6, 6, 6, 6, 6, 6, 2, 6, 6, 6,
    6, 6, 6, 6, 0, 1, 6, 6, 6, 6, 6, 6, 1, 6, 6, 6, 6, 6, 6, 6, 0, 6, 6, 6, 6,
    6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 0, 1, 2, 3, 4, 5, 5, 5, 1, 2, 3, 4, 5, 5,
    5, 5, 0, 2, 3, 4, 5, 5, 5, 5, 2, 3, 4, 5, 5, 5, 5, 5, 0, 1, 3, 4, 5, 5, 5,
    5, 1, 3, 4, 5, 5, 5, 5, 5, 0, 3, 4, 5, 5, 5, 5, 5, 3, 4, 5, 5, 5, 5, 5, 5,
    0, 1, 2, 4, 5, 5, 5, 5, 1, 2, 4, 5, 5, 5, 5, 5, 0, 2, 4, 5, 5, 5, 5, 5, 2,
    4, 5, 5, 5, 5, 5, 5, 0, 1, 4, 5, 5, 5, 5, 5, 1, 4, 5, 5, 5, 5, 5, 5, 0, 4,
    5, 5, 5, 5, 5, 5, 4, 5, 5, 5, 5, 5, 5, 5, 0, 1, 2, 3, 5, 5, 5, 5, 1, 2, 3,
    5, 5, 5, 5, 5, 0, 2, 3, 5, 5, 5, 5, 5, 2, 3, 5, 5, 5, 5, 5, 5, 0, 1, 3, 5,
    5, 5, 5, 5, 1, 3, 5, 5, 5, 5, 5, 5, 0, 3, 5, 5, 5, 5, 5, 5, 3, 5, 5, 5, 5,
    5, 5, 5, 0, 1, 2, 5, 5, 5, 5, 5, 1, 2, 5, 5, 5, 5, 5, 5, 0, 2, 5, 5, 5, 5,
    5, 5, 2, 5, 5, 5, 5, 5, 5, 5, 0, 1, 5, 5, 5, 5, 5, 5, 1, 5, 5, 5, 5, 5, 5,
    5, 0, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 0, 1, 2, 3, 4, 4, 4, 4,
    1, 2, 3, 4, 4, 4, 4, 4, 0, 2, 3, 4, 4, 4, 4, 4, 2, 3, 4, 4, 4, 4, 4, 4, 0,
    1, 3, 4, 4, 4, 4, 4, 1, 3, 4, 4, 4, 4, 4, 4, 0, 3, 4, 4, 4, 4, 4, 4, 3, 4,
    4, 4, 4, 4, 4, 4, 0, 1, 2, 4, 4, 4, 4, 4, 1, 2, 4, 4, 4, 4, 4, 4, 0, 2, 4,
    4, 4, 4, 4, 4, 2, 4, 4, 4, 4, 4, 4, 4, 0, 1, 4, 4, 4, 4, 4, 4, 1, 4, 4, 4,
    4, 4, 4, 4, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 1, 2, 3, 3,
    3, 3, 3, 1, 2, 3, 3, 3, 3, 3, 3, 0, 2, 3, 3, 3, 3, 3, 3, 2, 3, 3, 3, 3, 3,
    3, 3, 0, 1, 3, 3, 3, 3, 3, 3, 1, 3, 3, 3, 3, 3, 3, 3, 0, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 1, 2, 2, 2, 2, 2, 2, 1, 2, 2, 2, 2, 2, 2, 2,
    0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 0, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
}
#endif
/* end file include/simdjson/simdprune_tables.h */
/* begin file include/simdjson/simdutf8check_haswell.h */
#ifndef SIMDJSON_SIMDUTF8CHECK_HASWELL_H
#define SIMDJSON_SIMDUTF8CHECK_HASWELL_H

#include <stddef.h>
#include <stdint.h>
#include <string.h>

#ifdef IS_X86_64
/*
 * legal utf-8 byte sequence
 * http://www.unicode.org/versions/Unicode6.0.0/ch03.pdf - page 94
 *
 *  Code Points        1st       2s       3s       4s
 * U+0000..U+007F     00..7F
 * U+0080..U+07FF     C2..DF   80..BF
 * U+0800..U+0FFF     E0       A0..BF   80..BF
 * U+1000..U+CFFF     E1..EC   80..BF   80..BF
 * U+D000..U+D7FF     ED       80..9F   80..BF
 * U+E000..U+FFFF     EE..EF   80..BF   80..BF
 * U+10000..U+3FFFF   F0       90..BF   80..BF   80..BF
 * U+40000..U+FFFFF   F1..F3   80..BF   80..BF   80..BF
 * U+100000..U+10FFFF F4       80..8F   80..BF   80..BF
 *
 */

// all byte values must be no larger than 0xF4

TARGET_HASWELL
namespace simdjson {
static inline __m256i push_last_byte_of_a_to_b(__m256i a, __m256i b) {
  return _mm256_alignr_epi8(b, _mm256_permute2x128_si256(a, b, 0x21), 15);
}

static inline __m256i push_last_2bytes_of_a_to_b(__m256i a, __m256i b) {
  return _mm256_alignr_epi8(b, _mm256_permute2x128_si256(a, b, 0x21), 14);
}

// all byte values must be no larger than 0xF4
static inline void avx_check_smaller_than_0xF4(__m256i current_bytes,
                                               __m256i *has_error) {
  // unsigned, saturates to 0 below max
  *has_error = _mm256_or_si256(
      *has_error, _mm256_subs_epu8(current_bytes, _mm256_set1_epi8(0xF4u)));
}

static inline __m256i avx_continuation_lengths(__m256i high_nibbles) {
  return _mm256_shuffle_epi8(
      _mm256_setr_epi8(1, 1, 1, 1, 1, 1, 1, 1, // 0xxx (ASCII)
                       0, 0, 0, 0,             // 10xx (continuation)
                       2, 2,                   // 110x
                       3,                      // 1110
                       4, // 1111, next should be 0 (not checked here)
                       1, 1, 1, 1, 1, 1, 1, 1, // 0xxx (ASCII)
                       0, 0, 0, 0,             // 10xx (continuation)
                       2, 2,                   // 110x
                       3,                      // 1110
                       4 // 1111, next should be 0 (not checked here)
                       ),
      high_nibbles);
}

static inline __m256i avx_carry_continuations(__m256i initial_lengths,
                                              __m256i previous_carries) {

  __m256i right1 = _mm256_subs_epu8(
      push_last_byte_of_a_to_b(previous_carries, initial_lengths),
      _mm256_set1_epi8(1));
  __m256i sum = _mm256_add_epi8(initial_lengths, right1);

  __m256i right2 = _mm256_subs_epu8(
      push_last_2bytes_of_a_to_b(previous_carries, sum), _mm256_set1_epi8(2));
  return _mm256_add_epi8(sum, right2);
}

static inline void avx_check_continuations(__m256i initial_lengths,
                                           __m256i carries,
                                           __m256i *has_error) {

  // overlap || underlap
  // carry > length && length > 0 || !(carry > length) && !(length > 0)
  // (carries > length) == (lengths > 0)
  __m256i overunder = _mm256_cmpeq_epi8(
      _mm256_cmpgt_epi8(carries, initial_lengths),
      _mm256_cmpgt_epi8(initial_lengths, _mm256_setzero_si256()));

  *has_error = _mm256_or_si256(*has_error, overunder);
}

// when 0xED is found, next byte must be no larger than 0x9F
// when 0xF4 is found, next byte must be no larger than 0x8F
// next byte must be continuation, ie sign bit is set, so signed < is ok
static inline void avx_check_first_continuation_max(__m256i current_bytes,
                                                    __m256i off1_current_bytes,
                                                    __m256i *has_error) {
  __m256i maskED =
      _mm256_cmpeq_epi8(off1_current_bytes, _mm256_set1_epi8(0xEDu));
  __m256i maskF4 =
      _mm256_cmpeq_epi8(off1_current_bytes, _mm256_set1_epi8(0xF4u));

  __m256i badfollowED = _mm256_and_si256(
      _mm256_cmpgt_epi8(current_bytes, _mm256_set1_epi8(0x9Fu)), maskED);
  __m256i badfollowF4 = _mm256_and_si256(
      _mm256_cmpgt_epi8(current_bytes, _mm256_set1_epi8(0x8Fu)), maskF4);

  *has_error =
      _mm256_or_si256(*has_error, _mm256_or_si256(badfollowED, badfollowF4));
}

// map off1_hibits => error condition
// hibits     off1    cur
// C       => < C2 && true
// E       => < E1 && < A0
// F       => < F1 && < 90
// else      false && false
static inline void avx_check_overlong(__m256i current_bytes,
                                      __m256i off1_current_bytes,
                                      __m256i hibits, __m256i previous_hibits,
                                      __m256i *has_error) {
  __m256i off1_hibits = push_last_byte_of_a_to_b(previous_hibits, hibits);
  __m256i initial_mins = _mm256_shuffle_epi8(
      _mm256_setr_epi8(-128, -128, -128, -128, -128, -128, -128, -128, -128,
                       -128, -128, -128, // 10xx => false
                       0xC2u, -128,      // 110x
                       0xE1u,            // 1110
                       0xF1u,            // 1111
                       -128, -128, -128, -128, -128, -128, -128, -128, -128,
                       -128, -128, -128, // 10xx => false
                       0xC2u, -128,      // 110x
                       0xE1u,            // 1110
                       0xF1u),           // 1111
      off1_hibits);

  __m256i initial_under = _mm256_cmpgt_epi8(initial_mins, off1_current_bytes);

  __m256i second_mins = _mm256_shuffle_epi8(
      _mm256_setr_epi8(-128, -128, -128, -128, -128, -128, -128, -128, -128,
                       -128, -128, -128, // 10xx => false
                       127, 127,         // 110x => true
                       0xA0u,            // 1110
                       0x90u,            // 1111
                       -128, -128, -128, -128, -128, -128, -128, -128, -128,
                       -128, -128, -128, // 10xx => false
                       127, 127,         // 110x => true
                       0xA0u,            // 1110
                       0x90u),           // 1111
      off1_hibits);
  __m256i second_under = _mm256_cmpgt_epi8(second_mins, current_bytes);
  *has_error = _mm256_or_si256(*has_error,
                               _mm256_and_si256(initial_under, second_under));
}

struct avx_processed_utf_bytes {
  __m256i raw_bytes;
  __m256i high_nibbles;
  __m256i carried_continuations;
};

static inline void avx_count_nibbles(__m256i bytes,
                                     struct avx_processed_utf_bytes *answer) {
  answer->raw_bytes = bytes;
  answer->high_nibbles =
      _mm256_and_si256(_mm256_srli_epi16(bytes, 4), _mm256_set1_epi8(0x0F));
}

// check whether the current bytes are valid UTF-8
// at the end of the function, previous gets updated
static inline struct avx_processed_utf_bytes
avx_check_utf8_bytes(__m256i current_bytes,
                     struct avx_processed_utf_bytes *previous,
                     __m256i *has_error) {
  struct avx_processed_utf_bytes pb {};
  avx_count_nibbles(current_bytes, &pb);

  avx_check_smaller_than_0xF4(current_bytes, has_error);

  __m256i initial_lengths = avx_continuation_lengths(pb.high_nibbles);

  pb.carried_continuations =
      avx_carry_continuations(initial_lengths, previous->carried_continuations);

  avx_check_continuations(initial_lengths, pb.carried_continuations, has_error);

  __m256i off1_current_bytes =
      push_last_byte_of_a_to_b(previous->raw_bytes, pb.raw_bytes);
  avx_check_first_continuation_max(current_bytes, off1_current_bytes,
                                   has_error);

  avx_check_overlong(current_bytes, off1_current_bytes, pb.high_nibbles,
                     previous->high_nibbles, has_error);
  return pb;
}
} // namespace simdjson
UNTARGET_REGION // haswell

#endif // IS_X86_64

#endif
/* end file include/simdjson/simdutf8check_haswell.h */
/* begin file include/simdjson/simdutf8check_westmere.h */
#ifndef SIMDJSON_SIMDUTF8CHECK_WESTMERE_H
#define SIMDJSON_SIMDUTF8CHECK_WESTMERE_H

#include <stddef.h>
#include <stdint.h>
#include <string.h>
#ifdef IS_X86_64

/*
 * legal utf-8 byte sequence
 * http://www.unicode.org/versions/Unicode6.0.0/ch03.pdf - page 94
 *
 *  Code Points        1st       2s       3s       4s
 * U+0000..U+007F     00..7F
 * U+0080..U+07FF     C2..DF   80..BF
 * U+0800..U+0FFF     E0       A0..BF   80..BF
 * U+1000..U+CFFF     E1..EC   80..BF   80..BF
 * U+D000..U+D7FF     ED       80..9F   80..BF
 * U+E000..U+FFFF     EE..EF   80..BF   80..BF
 * U+10000..U+3FFFF   F0       90..BF   80..BF   80..BF
 * U+40000..U+FFFFF   F1..F3   80..BF   80..BF   80..BF
 * U+100000..U+10FFFF F4       80..8F   80..BF   80..BF
 *
 */

// all byte values must be no larger than 0xF4

/********** sse code **********/
TARGET_WESTMERE

namespace simdjson {
// all byte values must be no larger than 0xF4
static inline void check_smaller_than_0xF4(__m128i current_bytes,
                                           __m128i *has_error) {
  // unsigned, saturates to 0 below max
  *has_error = _mm_or_si128(*has_error,
                            _mm_subs_epu8(current_bytes, _mm_set1_epi8(0xF4u)));
}

static inline __m128i continuation_lengths(__m128i high_nibbles) {
  return _mm_shuffle_epi8(
      _mm_setr_epi8(1, 1, 1, 1, 1, 1, 1, 1, // 0xxx (ASCII)
                    0, 0, 0, 0,             // 10xx (continuation)
                    2, 2,                   // 110x
                    3,                      // 1110
                    4), // 1111, next should be 0 (not checked here)
      high_nibbles);
}

static inline __m128i carry_continuations(__m128i initial_lengths,
                                          __m128i previous_carries) {

  __m128i right1 =
      _mm_subs_epu8(_mm_alignr_epi8(initial_lengths, previous_carries, 16 - 1),
                    _mm_set1_epi8(1));
  __m128i sum = _mm_add_epi8(initial_lengths, right1);

  __m128i right2 = _mm_subs_epu8(_mm_alignr_epi8(sum, previous_carries, 16 - 2),
                                 _mm_set1_epi8(2));
  return _mm_add_epi8(sum, right2);
}

static inline void check_continuations(__m128i initial_lengths, __m128i carries,
                                       __m128i *has_error) {

  // overlap || underlap
  // carry > length && length > 0 || !(carry > length) && !(length > 0)
  // (carries > length) == (lengths > 0)
  __m128i overunder =
      _mm_cmpeq_epi8(_mm_cmpgt_epi8(carries, initial_lengths),
                     _mm_cmpgt_epi8(initial_lengths, _mm_setzero_si128()));

  *has_error = _mm_or_si128(*has_error, overunder);
}

// when 0xED is found, next byte must be no larger than 0x9F
// when 0xF4 is found, next byte must be no larger than 0x8F
// next byte must be continuation, ie sign bit is set, so signed < is ok
static inline void check_first_continuation_max(__m128i current_bytes,
                                                __m128i off1_current_bytes,
                                                __m128i *has_error) {
  __m128i maskED = _mm_cmpeq_epi8(off1_current_bytes, _mm_set1_epi8(0xEDu));
  __m128i maskF4 = _mm_cmpeq_epi8(off1_current_bytes, _mm_set1_epi8(0xF4u));

  __m128i badfollowED = _mm_and_si128(
      _mm_cmpgt_epi8(current_bytes, _mm_set1_epi8(0x9Fu)), maskED);
  __m128i badfollowF4 = _mm_and_si128(
      _mm_cmpgt_epi8(current_bytes, _mm_set1_epi8(0x8Fu)), maskF4);

  *has_error = _mm_or_si128(*has_error, _mm_or_si128(badfollowED, badfollowF4));
}

// map off1_hibits => error condition
// hibits     off1    cur
// C       => < C2 && true
// E       => < E1 && < A0
// F       => < F1 && < 90
// else      false && false
static inline void check_overlong(__m128i current_bytes,
                                  __m128i off1_current_bytes, __m128i hibits,
                                  __m128i previous_hibits, __m128i *has_error) {
  __m128i off1_hibits = _mm_alignr_epi8(hibits, previous_hibits, 16 - 1);
  __m128i initial_mins = _mm_shuffle_epi8(
      _mm_setr_epi8(-128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
                    -128, -128,  // 10xx => false
                    0xC2u, -128, // 110x
                    0xE1u,       // 1110
                    0xF1u),
      off1_hibits);

  __m128i initial_under = _mm_cmpgt_epi8(initial_mins, off1_current_bytes);

  __m128i second_mins = _mm_shuffle_epi8(
      _mm_setr_epi8(-128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
                    -128, -128, // 10xx => false
                    127, 127,   // 110x => true
                    0xA0u,      // 1110
                    0x90u),
      off1_hibits);
  __m128i second_under = _mm_cmpgt_epi8(second_mins, current_bytes);
  *has_error =
      _mm_or_si128(*has_error, _mm_and_si128(initial_under, second_under));
}

struct processed_utf_bytes {
  __m128i raw_bytes;
  __m128i high_nibbles;
  __m128i carried_continuations;
};

static inline void count_nibbles(__m128i bytes,
                                 struct processed_utf_bytes *answer) {
  answer->raw_bytes = bytes;
  answer->high_nibbles =
      _mm_and_si128(_mm_srli_epi16(bytes, 4), _mm_set1_epi8(0x0F));
}

// check whether the current bytes are valid UTF-8
// at the end of the function, previous gets updated
static struct processed_utf_bytes
check_utf8_bytes(__m128i current_bytes, struct processed_utf_bytes *previous,
                 __m128i *has_error) {
  struct processed_utf_bytes pb;
  count_nibbles(current_bytes, &pb);

  check_smaller_than_0xF4(current_bytes, has_error);

  __m128i initial_lengths = continuation_lengths(pb.high_nibbles);

  pb.carried_continuations =
      carry_continuations(initial_lengths, previous->carried_continuations);

  check_continuations(initial_lengths, pb.carried_continuations, has_error);

  __m128i off1_current_bytes =
      _mm_alignr_epi8(pb.raw_bytes, previous->raw_bytes, 16 - 1);
  check_first_continuation_max(current_bytes, off1_current_bytes, has_error);

  check_overlong(current_bytes, off1_current_bytes, pb.high_nibbles,
                 previous->high_nibbles, has_error);
  return pb;
}
} // namespace simdjson
UNTARGET_REGION // westmere

#endif // IS_X86_64

#endif
/* end file include/simdjson/simdutf8check_westmere.h */
/* begin file include/simdjson/simdutf8check_arm64.h */
// From https://github.com/cyb70289/utf8/blob/master/lemire-neon.c
// Adapted from https://github.com/lemire/fastvalidate-utf-8

#ifndef SIMDJSON_SIMDUTF8CHECK_ARM64_H
#define SIMDJSON_SIMDUTF8CHECK_ARM64_H

#if defined(_ARM_NEON) || defined(__aarch64__) ||                              \
    (defined(_MSC_VER) && defined(_M_ARM64))

#include <arm_neon.h>
#include <cinttypes>
#include <cstddef>
#include <cstdint>
#include <cstdio>
#include <cstring>

/*
 * legal utf-8 byte sequence
 * http://www.unicode.org/versions/Unicode6.0.0/ch03.pdf - page 94
 *
 *  Code Points        1st       2s       3s       4s
 * U+0000..U+007F     00..7F
 * U+0080..U+07FF     C2..DF   80..BF
 * U+0800..U+0FFF     E0       A0..BF   80..BF
 * U+1000..U+CFFF     E1..EC   80..BF   80..BF
 * U+D000..U+D7FF     ED       80..9F   80..BF
 * U+E000..U+FFFF     EE..EF   80..BF   80..BF
 * U+10000..U+3FFFF   F0       90..BF   80..BF   80..BF
 * U+40000..U+FFFFF   F1..F3   80..BF   80..BF   80..BF
 * U+100000..U+10FFFF F4       80..8F   80..BF   80..BF
 *
 */
namespace simdjson {

// all byte values must be no larger than 0xF4
static inline void check_smaller_than_0xF4(int8x16_t current_bytes,
                                           int8x16_t *has_error) {
  // unsigned, saturates to 0 below max
  *has_error = vorrq_s8(
      *has_error, vreinterpretq_s8_u8(vqsubq_u8(
                      vreinterpretq_u8_s8(current_bytes), vdupq_n_u8(0xF4))));
}

static const int8_t _nibbles[] = {
    1, 1, 1, 1, 1, 1, 1, 1, // 0xxx (ASCII)
    0, 0, 0, 0,             // 10xx (continuation)
    2, 2,                   // 110x
    3,                      // 1110
    4,                      // 1111, next should be 0 (not checked here)
};

static inline int8x16_t continuation_lengths(int8x16_t high_nibbles) {
  return vqtbl1q_s8(vld1q_s8(_nibbles), vreinterpretq_u8_s8(high_nibbles));
}

static inline int8x16_t carry_continuations(int8x16_t initial_lengths,
                                            int8x16_t previous_carries) {

  int8x16_t right1 = vreinterpretq_s8_u8(vqsubq_u8(
      vreinterpretq_u8_s8(vextq_s8(previous_carries, initial_lengths, 16 - 1)),
      vdupq_n_u8(1)));
  int8x16_t sum = vaddq_s8(initial_lengths, right1);

  int8x16_t right2 = vreinterpretq_s8_u8(
      vqsubq_u8(vreinterpretq_u8_s8(vextq_s8(previous_carries, sum, 16 - 2)),
                vdupq_n_u8(2)));
  return vaddq_s8(sum, right2);
}

static inline void check_continuations(int8x16_t initial_lengths,
                                       int8x16_t carries,
                                       int8x16_t *has_error) {

  // overlap || underlap
  // carry > length && length > 0 || !(carry > length) && !(length > 0)
  // (carries > length) == (lengths > 0)
  uint8x16_t overunder = vceqq_u8(vcgtq_s8(carries, initial_lengths),
                                  vcgtq_s8(initial_lengths, vdupq_n_s8(0)));

  *has_error = vorrq_s8(*has_error, vreinterpretq_s8_u8(overunder));
}

// when 0xED is found, next byte must be no larger than 0x9F
// when 0xF4 is found, next byte must be no larger than 0x8F
// next byte must be continuation, ie sign bit is set, so signed < is ok
static inline void check_first_continuation_max(int8x16_t current_bytes,
                                                int8x16_t off1_current_bytes,
                                                int8x16_t *has_error) {
  uint8x16_t maskED = vceqq_s8(off1_current_bytes, vdupq_n_s8(0xED));
  uint8x16_t maskF4 = vceqq_s8(off1_current_bytes, vdupq_n_s8(0xF4));

  uint8x16_t badfollowED =
      vandq_u8(vcgtq_s8(current_bytes, vdupq_n_s8(0x9F)), maskED);
  uint8x16_t badfollowF4 =
      vandq_u8(vcgtq_s8(current_bytes, vdupq_n_s8(0x8F)), maskF4);

  *has_error = vorrq_s8(
      *has_error, vreinterpretq_s8_u8(vorrq_u8(badfollowED, badfollowF4)));
}

static const int8_t _initial_mins[] = {
    -128,         -128, -128, -128, -128, -128,
    -128,         -128, -128, -128, -128, -128, // 10xx => false
    (int8_t)0xC2, -128,                         // 110x
    (int8_t)0xE1,                               // 1110
    (int8_t)0xF1,
};

static const int8_t _second_mins[] = {
    -128,         -128, -128, -128, -128, -128,
    -128,         -128, -128, -128, -128, -128, // 10xx => false
    127,          127,                          // 110x => true
    (int8_t)0xA0,                               // 1110
    (int8_t)0x90,
};

// map off1_hibits => error condition
// hibits     off1    cur
// C       => < C2 && true
// E       => < E1 && < A0
// F       => < F1 && < 90
// else      false && false
static inline void check_overlong(int8x16_t current_bytes,
                                  int8x16_t off1_current_bytes,
                                  int8x16_t hibits, int8x16_t previous_hibits,
                                  int8x16_t *has_error) {
  int8x16_t off1_hibits = vextq_s8(previous_hibits, hibits, 16 - 1);
  int8x16_t initial_mins =
      vqtbl1q_s8(vld1q_s8(_initial_mins), vreinterpretq_u8_s8(off1_hibits));

  uint8x16_t initial_under = vcgtq_s8(initial_mins, off1_current_bytes);

  int8x16_t second_mins =
      vqtbl1q_s8(vld1q_s8(_second_mins), vreinterpretq_u8_s8(off1_hibits));
  uint8x16_t second_under = vcgtq_s8(second_mins, current_bytes);
  *has_error = vorrq_s8(
      *has_error, vreinterpretq_s8_u8(vandq_u8(initial_under, second_under)));
}

struct processed_utf_bytes {
  int8x16_t raw_bytes;
  int8x16_t high_nibbles;
  int8x16_t carried_continuations;
};

static inline void count_nibbles(int8x16_t bytes,
                                 struct processed_utf_bytes *answer) {
  answer->raw_bytes = bytes;
  answer->high_nibbles =
      vreinterpretq_s8_u8(vshrq_n_u8(vreinterpretq_u8_s8(bytes), 4));
}

// check whether the current bytes are valid UTF-8
// at the end of the function, previous gets updated
static inline struct processed_utf_bytes
check_utf8_bytes(int8x16_t current_bytes, struct processed_utf_bytes *previous,
                 int8x16_t *has_error) {
  struct processed_utf_bytes pb;
  count_nibbles(current_bytes, &pb);

  check_smaller_than_0xF4(current_bytes, has_error);

  int8x16_t initial_lengths = continuation_lengths(pb.high_nibbles);

  pb.carried_continuations =
      carry_continuations(initial_lengths, previous->carried_continuations);

  check_continuations(initial_lengths, pb.carried_continuations, has_error);

  int8x16_t off1_current_bytes =
      vextq_s8(previous->raw_bytes, pb.raw_bytes, 16 - 1);
  check_first_continuation_max(current_bytes, off1_current_bytes, has_error);

  check_overlong(current_bytes, off1_current_bytes, pb.high_nibbles,
                 previous->high_nibbles, has_error);
  return pb;
}
} // namespace simdjson
#endif
#endif
/* end file include/simdjson/simdutf8check_arm64.h */
/* begin file include/simdjson/jsonminifier.h */
#ifndef SIMDJSON_JSONMINIFIER_H
#define SIMDJSON_JSONMINIFIER_H

#include <cstddef>
#include <cstdint>
#include <string_view>

namespace simdjson {

// Take input from buf and remove useless whitespace, write it to out; buf and
// out can be the same pointer. Result is null terminated,
// return the string length (minus the null termination).
// The accelerated version of this function only runs on AVX2 hardware.
size_t json_minify(const uint8_t *buf, size_t len, uint8_t *out);

static inline size_t json_minify(const char *buf, size_t len, char *out) {
  return json_minify(reinterpret_cast<const uint8_t *>(buf), len,
                     reinterpret_cast<uint8_t *>(out));
}

static inline size_t json_minify(const std::string_view &p, char *out) {
  return json_minify(p.data(), p.size(), out);
}

static inline size_t json_minify(const padded_string &p, char *out) {
  return json_minify(p.data(), p.size(), out);
}
} // namespace simdjson
#endif
/* end file include/simdjson/jsonminifier.h */
/* begin file include/simdjson/parsedjson.h */
#ifndef SIMDJSON_PARSEDJSON_H
#define SIMDJSON_PARSEDJSON_H

#include <cinttypes>
#include <cmath>
#include <cstring>
#include <iomanip>
#include <iostream>
#include <limits>

#define JSON_VALUE_MASK 0xFFFFFFFFFFFFFF

#define DEFAULT_MAX_DEPTH                                                      \
  1024 // a JSON document with a depth exceeding 1024 is probably de facto
       // invalid

namespace simdjson {
/************
 * The JSON is parsed to a tape, see the accompanying tape.md file
 * for documentation.
 ***********/
class ParsedJson {
public:
  // create a ParsedJson container with zero capacity, call allocate_capacity to
  // allocate memory
  ParsedJson();
  ~ParsedJson();
  ParsedJson(ParsedJson &&p);

  // if needed, allocate memory so that the object is able to process JSON
  // documents having up to len bytes and max_depth "depth"
  WARN_UNUSED
  bool allocate_capacity(size_t len, size_t max_depth = DEFAULT_MAX_DEPTH);

  // returns true if the document parsed was valid
  bool is_valid() const;

  // return an error code corresponding to the last parsing attempt, see
  // simdjson.h will return simdjson::UNITIALIZED if no parsing was attempted
  int get_error_code() const;

  // return the string equivalent of "get_error_code"
  std::string get_error_message() const;

  // deallocate memory and set capacity to zero, called automatically by the
  // destructor
  void deallocate();

  // this should be called when parsing (right before writing the tapes)
  void init();

  // print the json to stdout (should be valid)
  // return false if the tape is likely wrong (e.g., you did not parse a valid
  // JSON).
  WARN_UNUSED
  bool print_json(std::ostream &os);
  WARN_UNUSED
  bool dump_raw_tape(std::ostream &os);

  // all nodes are stored on the tape using a 64-bit word.
  //
  // strings, double and ints are stored as
  //  a 64-bit word with a pointer to the actual value
  //
  //
  //
  // for objects or arrays, store [ or {  at the beginning and } and ] at the
  // end. For the openings ([ or {), we annotate them with a reference to the
  // location on the tape of the end, and for then closings (} and ]), we
  // annotate them with a reference to the location of the opening
  //
  //

  // this should be considered a private function
  really_inline void write_tape(uint64_t val, uint8_t c) {
    tape[current_loc++] = val | ((static_cast<uint64_t>(c)) << 56);
  }

  really_inline void write_tape_s64(int64_t i) {
    write_tape(0, 'l');
    tape[current_loc++] = *(reinterpret_cast<uint64_t *>(&i));
  }

  really_inline void write_tape_double(double d) {
    write_tape(0, 'd');
    static_assert(sizeof(d) == sizeof(tape[current_loc]), "mismatch size");
    memcpy(&tape[current_loc++], &d, sizeof(double));
    // tape[current_loc++] = *((uint64_t *)&d);
  }

  really_inline uint32_t get_current_loc() { return current_loc; }

  really_inline void annotate_previous_loc(uint32_t saved_loc, uint64_t val) {
    tape[saved_loc] |= val;
  }

  class InvalidJSON : public std::exception {
    const char *what() const throw() { return "JSON document is invalid"; }
  };

  class Iterator {
    // might throw InvalidJSON if ParsedJson is invalid
  public:
    explicit Iterator(ParsedJson &pj_);
    ~Iterator();

    Iterator(const Iterator &o) noexcept;

    Iterator(Iterator &&o) noexcept;

    inline bool is_ok() const;

    // useful for debuging purposes
    inline size_t get_tape_location() const;

    // useful for debuging purposes
    inline size_t get_tape_length() const;

    // returns the current depth (start at 1 with 0 reserved for the fictitious
    // root node)
    inline size_t get_depth() const;

    // A scope is a series of nodes at the same depth, typically it is either an
    // object ({) or an array ([). The root node has type 'r'.
    inline uint8_t get_scope_type() const;

    // move forward in document order
    inline bool move_forward();

    // retrieve the character code of what we're looking at:
    // [{"sltfn are the possibilities
    inline uint8_t get_type() const {
      return current_type; // short functions should be inlined!
    }

    // get the int64_t value at this node; valid only if we're at "l"
    inline int64_t get_integer() const {
      if (location + 1 >= tape_length) {
        return 0; // default value in case of error
      }
      return static_cast<int64_t>(pj.tape[location + 1]);
    }

    // get the string value at this node (NULL ended); valid only if we're at "
    // note that tabs, and line endings are escaped in the returned value (see
    // print_with_escapes) return value is valid UTF-8 It may contain NULL chars
    // within the string: get_string_length determines the true string length.
    inline const char *get_string() const {
      return reinterpret_cast<const char *>(
          pj.string_buf + (current_val & JSON_VALUE_MASK) + sizeof(uint32_t));
    }

    // return the length of the string in bytes
    inline uint32_t get_string_length() const {
      uint32_t answer;
      memcpy(&answer,
             reinterpret_cast<const char *>(pj.string_buf +
                                            (current_val & JSON_VALUE_MASK)),
             sizeof(uint32_t));
      return answer;
    }

    // get the double value at this node; valid only if
    // we're at "d"
    inline double get_double() const {
      if (location + 1 >= tape_length) {
        return std::numeric_limits<double>::quiet_NaN(); // default value in
                                                         // case of error
      }
      double answer;
      memcpy(&answer, &pj.tape[location + 1], sizeof(answer));
      return answer;
    }

    inline bool is_object_or_array() const { return is_object() || is_array(); }

    inline bool is_object() const { return get_type() == '{'; }

    inline bool is_array() const { return get_type() == '['; }

    inline bool is_string() const { return get_type() == '"'; }

    inline bool is_integer() const { return get_type() == 'l'; }

    inline bool is_double() const { return get_type() == 'd'; }

    inline bool is_true() const { return get_type() == 't'; }

    inline bool is_false() const { return get_type() == 'f'; }

    inline bool is_null() const { return get_type() == 'n'; }

    static bool is_object_or_array(uint8_t type) {
      return ((type == '[') || (type == '{'));
    }

    // when at {, go one level deep, looking for a given key
    // if successful, we are left pointing at the value,
    // if not, we are still pointing at the object ({)
    // (in case of repeated keys, this only finds the first one).
    // We seek the key using C's strcmp so if your JSON strings contain
    // NULL chars, this would trigger a false positive: if you expect that
    // to be the case, take extra precautions.
    inline bool move_to_key(const char *key);
    // when at {, go one level deep, looking for a given key
    // if successful, we are left pointing at the value,
    // if not, we are still pointing at the object ({)
    // (in case of repeated keys, this only finds the first one).
    // The string we search for can contain NULL values.
    inline bool move_to_key(const char *key, uint32_t length);

    // when at a key location within an object, this moves to the accompanying
    // value (located next to it). this is equivalent but much faster than
    // calling "next()".
    inline void move_to_value();

    // when at [, go one level deep, and advance to the given index.
    // if successful, we are left pointing at the value,
    // if not, we are still pointing at the array ([)
    inline bool move_to_index(uint32_t index);

    // Moves the iterator to the value correspoding to the json pointer.
    // Always search from the root of the document.
    // if successful, we are left pointing at the value,
    // if not, we are still pointing the same value we were pointing before the
    // call. The json pointer follows the rfc6901 standard's syntax:
    // https://tools.ietf.org/html/rfc6901 However, the standard says "If a
    // referenced member name is not unique in an object, the member that is
    // referenced is undefined, and evaluation fails". Here we just return the
    // first corresponding value. The length parameter is the length of the
    // jsonpointer string ('pointer').
    bool move_to(const char *pointer, uint32_t length);

    // Moves the iterator to the value correspoding to the json pointer.
    // Always search from the root of the document.
    // if successful, we are left pointing at the value,
    // if not, we are still pointing the same value we were pointing before the
    // call. The json pointer implementation follows the rfc6901 standard's
    // syntax: https://tools.ietf.org/html/rfc6901 However, the standard says
    // "If a referenced member name is not unique in an object, the member that
    // is referenced is undefined, and evaluation fails". Here we just return
    // the first corresponding value.
    inline bool move_to(const std::string &pointer) {
      return move_to(pointer.c_str(), pointer.length());
    }

  private:
    // Almost the same as move_to(), except it searchs from the current
    // position. The pointer's syntax is identical, though that case is not
    // handled by the rfc6901 standard. The '/' is still required at the
    // beginning. However, contrary to move_to(), the URI Fragment Identifier
    // Representation is not supported here. Also, in case of failure, we are
    // left pointing at the closest value it could reach. For these reasons it
    // is private. It exists because it is used by move_to().
    bool relative_move_to(const char *pointer, uint32_t length);

  public:
    // throughout return true if we can do the navigation, false
    // otherwise

    // Withing a given scope (series of nodes at the same depth within either an
    // array or an object), we move forward.
    // Thus, given [true, null, {"a":1}, [1,2]], we would visit true, null, {
    // and [. At the object ({) or at the array ([), you can issue a "down" to
    // visit their content. valid if we're not at the end of a scope (returns
    // true).
    inline bool next();

    // Withing a given scope (series of nodes at the same depth within either an
    // array or an object), we move backward.
    // Thus, given [true, null, {"a":1}, [1,2]], we would visit ], }, null, true
    // when starting at the end of the scope. At the object ({) or at the array
    // ([), you can issue a "down" to visit their content.
    inline bool prev();

    // Moves back to either the containing array or object (type { or [) from
    // within a contained scope.
    // Valid unless we are at the first level of the document
    inline bool up();

    // Valid if we're at a [ or { and it starts a non-empty scope; moves us to
    // start of that deeper scope if it not empty. Thus, given [true, null,
    // {"a":1}, [1,2]], if we are at the { node, we would move to the "a" node.
    inline bool down();

    // move us to the start of our current scope,
    // a scope is a series of nodes at the same level
    inline void to_start_scope();

    inline void rewind() {
      while (up())
        ;
    }

    // void to_end_scope();              // move us to
    // the start of our current scope; always succeeds

    // print the thing we're currently pointing at
    bool print(std::ostream &os, bool escape_strings = true) const;
    typedef struct {
      size_t start_of_scope;
      uint8_t scope_type;
    } scopeindex_t;

  private:
    Iterator &operator=(const Iterator &other) = delete;

    ParsedJson &pj;
    size_t depth;
    size_t location; // our current location on a tape
    size_t tape_length;
    uint8_t current_type;
    uint64_t current_val;
    scopeindex_t *depth_index;
  };

  size_t byte_capacity{0}; // indicates how many bits are meant to be supported

  size_t depth_capacity{0}; // how deep we can go
  size_t tape_capacity{0};
  size_t string_capacity{0};
  uint32_t current_loc{0};
  uint32_t n_structural_indexes{0};

  uint32_t *structural_indexes;

  uint64_t *tape;
  uint32_t *containing_scope_offset;
#ifdef SIMDJSON_USE_COMPUTED_GOTO
  void **ret_address;
#else
  char *ret_address;
#endif

  uint8_t *string_buf; // should be at least byte_capacity
  uint8_t *current_string_buf_loc;
  bool valid{false};
  int error_code{simdjson::UNITIALIZED};

private:
  // we don't want the default constructor to be called
  ParsedJson(const ParsedJson &p) =
      delete; // we don't want the default constructor to be called
  // we don't want the assignment to be called
  ParsedJson &operator=(const ParsedJson &o) = delete;
};

// dump bits low to high
inline void dumpbits_always(uint64_t v, const std::string &msg) {
  for (uint32_t i = 0; i < 64; i++) {
    std::cout << (((v >> static_cast<uint64_t>(i)) & 0x1ULL) ? "1" : "_");
  }
  std::cout << " " << msg.c_str() << "\n";
}

inline void dumpbits32_always(uint32_t v, const std::string &msg) {
  for (uint32_t i = 0; i < 32; i++) {
    std::cout << (((v >> i) & 0x1ULL) ? "1" : "_");
  }
  std::cout << " " << msg.c_str() << "\n";
}

WARN_UNUSED
bool ParsedJson::Iterator::is_ok() const { return location < tape_length; }

// useful for debuging purposes
size_t ParsedJson::Iterator::get_tape_location() const { return location; }

// useful for debuging purposes
size_t ParsedJson::Iterator::get_tape_length() const { return tape_length; }

// returns the current depth (start at 1 with 0 reserved for the fictitious root
// node)
size_t ParsedJson::Iterator::get_depth() const { return depth; }

// A scope is a series of nodes at the same depth, typically it is either an
// object ({) or an array ([). The root node has type 'r'.
uint8_t ParsedJson::Iterator::get_scope_type() const {
  return depth_index[depth].scope_type;
}

bool ParsedJson::Iterator::move_forward() {
  if (location + 1 >= tape_length) {
    return false; // we are at the end!
  }

  if ((current_type == '[') || (current_type == '{')) {
    // We are entering a new scope
    depth++;
    depth_index[depth].start_of_scope = location;
    depth_index[depth].scope_type = current_type;
  } else if ((current_type == ']') || (current_type == '}')) {
    // Leaving a scope.
    depth--;
  } else if ((current_type == 'd') || (current_type == 'l')) {
    // d and l types use 2 locations on the tape, not just one.
    location += 1;
  }

  location += 1;
  current_val = pj.tape[location];
  current_type = (current_val >> 56);
  return true;
}

void ParsedJson::Iterator::move_to_value() {
  // assume that we are on a key, so move by 1.
  location += 1;
  current_val = pj.tape[location];
  current_type = (current_val >> 56);
}

bool ParsedJson::Iterator::move_to_key(const char *key) {
  if (down()) {
    do {
      assert(is_string());
      bool right_key =
          (strcmp(get_string(), key) == 0); // null chars would fool this
      move_to_value();
      if (right_key) {
        return true;
      }
    } while (next());
    assert(up()); // not found
  }
  return false;
}

bool ParsedJson::Iterator::move_to_key(const char *key, uint32_t length) {
  if (down()) {
    do {
      assert(is_string());
      bool right_key = ((get_string_length() == length) &&
                        (memcmp(get_string(), key, length) == 0));
      move_to_value();
      if (right_key) {
        return true;
      }
    } while (next());
    assert(up()); // not found
  }
  return false;
}

bool ParsedJson::Iterator::move_to_index(uint32_t index) {
  assert(is_array());
  if (down()) {
    uint32_t i = 0;
    for (; i < index; i++) {
      if (!next()) {
        break;
      }
    }
    if (i == index) {
      return true;
    }
    assert(up());
  }
  return false;
}

bool ParsedJson::Iterator::prev() {
  if (location - 1 < depth_index[depth].start_of_scope) {
    return false;
  }
  location -= 1;
  current_val = pj.tape[location];
  current_type = (current_val >> 56);
  if ((current_type == ']') || (current_type == '}')) {
    // we need to jump
    size_t new_location = (current_val & JSON_VALUE_MASK);
    if (new_location < depth_index[depth].start_of_scope) {
      return false; // shoud never happen
    }
    location = new_location;
    current_val = pj.tape[location];
    current_type = (current_val >> 56);
  }
  return true;
}

bool ParsedJson::Iterator::up() {
  if (depth == 1) {
    return false; // don't allow moving back to root
  }
  to_start_scope();
  // next we just move to the previous value
  depth--;
  location -= 1;
  current_val = pj.tape[location];
  current_type = (current_val >> 56);
  return true;
}

bool ParsedJson::Iterator::down() {
  if (location + 1 >= tape_length) {
    return false;
  }
  if ((current_type == '[') || (current_type == '{')) {
    size_t npos = (current_val & JSON_VALUE_MASK);
    if (npos == location + 2) {
      return false; // we have an empty scope
    }
    depth++;
    location = location + 1;
    depth_index[depth].start_of_scope = location;
    depth_index[depth].scope_type = current_type;
    current_val = pj.tape[location];
    current_type = (current_val >> 56);
    return true;
  }
  return false;
}

void ParsedJson::Iterator::to_start_scope() {
  location = depth_index[depth].start_of_scope;
  current_val = pj.tape[location];
  current_type = (current_val >> 56);
}

bool ParsedJson::Iterator::next() {
  size_t npos;
  if ((current_type == '[') || (current_type == '{')) {
    // we need to jump
    npos = (current_val & JSON_VALUE_MASK);
  } else {
    npos = location + ((current_type == 'd' || current_type == 'l') ? 2 : 1);
  }
  uint64_t next_val = pj.tape[npos];
  uint8_t next_type = (next_val >> 56);
  if ((next_type == ']') || (next_type == '}')) {
    return false; // we reached the end of the scope
  }
  location = npos;
  current_val = next_val;
  current_type = next_type;
  return true;
}
} // namespace simdjson
#endif
/* end file include/simdjson/parsedjson.h */
/* begin file include/simdjson/stage1_find_marks.h */
#ifndef SIMDJSON_STAGE1_FIND_MARKS_H
#define SIMDJSON_STAGE1_FIND_MARKS_H

#include <cassert>

namespace simdjson {

template <Architecture> struct simd_input;

template <Architecture> uint64_t compute_quote_mask(uint64_t quote_bits);

namespace {
// for when clmul is unavailable
[[maybe_unused]] uint64_t portable_compute_quote_mask(uint64_t quote_bits) {
  uint64_t quote_mask = quote_bits ^ (quote_bits << 1);
  quote_mask = quote_mask ^ (quote_mask << 2);
  quote_mask = quote_mask ^ (quote_mask << 4);
  quote_mask = quote_mask ^ (quote_mask << 8);
  quote_mask = quote_mask ^ (quote_mask << 16);
  quote_mask = quote_mask ^ (quote_mask << 32);
  return quote_mask;
}
} // namespace

// Holds the state required to perform check_utf8().
template <Architecture> struct utf8_checking_state;

template <Architecture T>
void check_utf8(simd_input<T> in, utf8_checking_state<T> &state);

// Checks if the utf8 validation has found any error.
template <Architecture T>
ErrorValues check_utf8_errors(utf8_checking_state<T> &state);

// a straightforward comparison of a mask against input.
template <Architecture T>
uint64_t cmp_mask_against_input(simd_input<T> in, uint8_t m);

template <Architecture T> simd_input<T> fill_input(const uint8_t *ptr);

// find all values less than or equal than the content of maxval (using unsigned
// arithmetic)
template <Architecture T>
uint64_t unsigned_lteq_against_input(simd_input<T> in, uint8_t m);

template <Architecture T>
really_inline uint64_t find_odd_backslash_sequences(
    simd_input<T> in, uint64_t &prev_iter_ends_odd_backslash);

template <Architecture T>
really_inline uint64_t find_quote_mask_and_bits(
    simd_input<T> in, uint64_t odd_ends, uint64_t &prev_iter_inside_quote,
    uint64_t &quote_bits, uint64_t &error_mask);

// do a 'shufti' to detect structural JSON characters
// they are { 0x7b } 0x7d : 0x3a [ 0x5b ] 0x5d , 0x2c
// these go into the first 3 buckets of the comparison (1/2/4)

// we are also interested in the four whitespace characters
// space 0x20, linefeed 0x0a, horizontal tab 0x09 and carriage return 0x0d
// these go into the next 2 buckets of the comparison (8/16)
template <Architecture T>
void find_whitespace_and_structurals(simd_input<T> in, uint64_t &whitespace,
                                     uint64_t &structurals);

// return a updated structural bit vector with quoted contents cleared out and
// pseudo-structural characters added to the mask
// updates prev_iter_ends_pseudo_pred which tells us whether the previous
// iteration ended on a whitespace or a structural character (which means that
// the next iteration
// will have a pseudo-structural character at its start)
really_inline uint64_t finalize_structurals(
    uint64_t structurals, uint64_t whitespace, uint64_t quote_mask,
    uint64_t quote_bits, uint64_t &prev_iter_ends_pseudo_pred) {
  // mask off anything inside quotes
  structurals &= ~quote_mask;
  // add the real quote bits back into our bit_mask as well, so we can
  // quickly traverse the strings we've spent all this trouble gathering
  structurals |= quote_bits;
  // Now, establish "pseudo-structural characters". These are non-whitespace
  // characters that are (a) outside quotes and (b) have a predecessor that's
  // either whitespace or a structural character. This means that subsequent
  // passes will get a chance to encounter the first character of every string
  // of non-whitespace and, if we're parsing an atom like true/false/null or a
  // number we can stop at the first whitespace or structural character
  // following it.

  // a qualified predecessor is something that can happen 1 position before an
  // pseudo-structural character
  uint64_t pseudo_pred = structurals | whitespace;

  uint64_t shifted_pseudo_pred =
      (pseudo_pred << 1) | prev_iter_ends_pseudo_pred;
  prev_iter_ends_pseudo_pred = pseudo_pred >> 63;
  uint64_t pseudo_structurals =
      shifted_pseudo_pred & (~whitespace) & (~quote_mask);
  structurals |= pseudo_structurals;

  // now, we've used our close quotes all we need to. So let's switch them off
  // they will be off in the quote mask and on in quote bits.
  structurals &= ~(quote_bits & ~quote_mask);
  return structurals;
}

template <Architecture T = Architecture::NATIVE>
int find_structural_bits(const uint8_t *buf, size_t len,
                         simdjson::ParsedJson &pj);

template <Architecture T = Architecture::NATIVE>
int find_structural_bits(const char *buf, size_t len,
                         simdjson::ParsedJson &pj) {
  return find_structural_bits((const uint8_t *)buf, len, pj);
}

} // namespace simdjson

#endif
/* end file include/simdjson/stage1_find_marks.h */
/* begin file include/simdjson/stage1_find_marks_flatten.h */
#ifndef SIMDJSON_STAGE1_FIND_MARKS_FLATTEN_H
#define SIMDJSON_STAGE1_FIND_MARKS_FLATTEN_H

namespace simdjson {

#ifdef SIMDJSON_NAIVE_FLATTEN // useful for benchmarking
//
// This is just a naive implementation. It should be normally
// disable, but can be used for research purposes to compare
// again our optimized version.
really_inline void flatten_bits(uint32_t *base_ptr, uint32_t &base,
                                uint32_t idx, uint64_t bits) {
  uint32_t *out_ptr = base_ptr + base;
  idx -= 64;
  while (bits != 0) {
    out_ptr[0] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    out_ptr++;
  }
  base = (out_ptr - base_ptr);
}

#else
// flatten out values in 'bits' assuming that they are are to have values of idx
// plus their position in the bitvector, and store these indexes at
// base_ptr[base] incrementing base as we go
// will potentially store extra values beyond end of valid bits, so base_ptr
// needs to be large enough to handle this
really_inline void flatten_bits(uint32_t *base_ptr, uint32_t &base,
                                uint32_t idx, uint64_t bits) {
  // In some instances, the next branch is expensive because it is mispredicted.
  // Unfortunately, in other cases,
  // it helps tremendously.
  if (bits == 0)
    return;
  uint32_t cnt = hamming(bits);
  uint32_t next_base = base + cnt;
  idx -= 64;
  base_ptr += base;
  {
    base_ptr[0] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[1] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[2] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[3] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[4] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[5] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[6] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[7] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr += 8;
  }
  // We hope that the next branch is easily predicted.
  if (cnt > 8) {
    base_ptr[0] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[1] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[2] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[3] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[4] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[5] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[6] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr[7] = idx + trailing_zeroes(bits);
    bits = bits & (bits - 1);
    base_ptr += 8;
  }
  if (cnt > 16) { // unluckly: we rarely get here
    // since it means having one structural or pseudo-structral element
    // every 4 characters (possible with inputs like "","","",...).
    do {
      base_ptr[0] = idx + trailing_zeroes(bits);
      bits = bits & (bits - 1);
      base_ptr++;
    } while (bits != 0);
  }
  base = next_base;
}
#endif // SIMDJSON_NAIVE_FLATTEN
} // namespace simdjson

#endif // SIMDJSON_STAGE1_FIND_MARKS_FLATTEN_H/* end file include/simdjson/stage1_find_marks_flatten.h */
/* begin file include/simdjson/stage1_find_marks_flatten_haswell.h */
#ifndef SIMDJSON_STAGE1_FIND_MARKS_FLATTEN_HASWELL_H
#define SIMDJSON_STAGE1_FIND_MARKS_FLATTEN_HASWELL_H

// This file provides the same function as
// stage1_find_marks_flatten.h, but uses Intel intrinsics.
// This should provide better performance on Visual Studio
// and other compilers that do a conservative optimization.

// Specifically, on x64 processors with BMI,
// x & (x - 1) should be mapped to
// the blsr instruction. By using the
// _blsr_u64 intrinsic, we
// ensure that this will happen.
/////////


#ifdef IS_X86_64

TARGET_HASWELL
namespace simdjson {
namespace haswell {

// flatten out values in 'bits' assuming that they are are to have values of idx
// plus their position in the bitvector, and store these indexes at
// base_ptr[base] incrementing base as we go
// will potentially store extra values beyond end of valid bits, so base_ptr
// needs to be large enough to handle this
really_inline void flatten_bits(uint32_t *base_ptr, uint32_t &base,
                                uint32_t idx, uint64_t bits) {
  // In some instances, the next branch is expensive because it is mispredicted.
  // Unfortunately, in other cases,
  // it helps tremendously.
  if (bits == 0)
    return;
  uint32_t cnt = _mm_popcnt_u64(bits);
  uint32_t next_base = base + cnt;
  idx -= 64;
  base_ptr += base;
  {
    base_ptr[0] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[1] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[2] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[3] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[4] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[5] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[6] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[7] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr += 8;
  }
  // We hope that the next branch is easily predicted.
  if (cnt > 8) {
    base_ptr[0] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[1] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[2] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[3] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[4] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[5] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[6] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr[7] = idx + trailing_zeroes(bits);
    bits = _blsr_u64(bits);
    base_ptr += 8;
  }
  if (cnt > 16) { // unluckly: we rarely get here
    // since it means having one structural or pseudo-structral element
    // every 4 characters (possible with inputs like "","","",...).
    do {
      base_ptr[0] = idx + trailing_zeroes(bits);
      bits = _blsr_u64(bits);
      base_ptr++;
    } while (bits != 0);
  }
  base = next_base;
}
} // namespace haswell
} // namespace simdjson
UNTARGET_REGION
#endif // IS_X86_64
#endif // SIMDJSON_STAGE1_FIND_MARKS_FLATTEN_H
/* end file include/simdjson/stage1_find_marks_flatten_haswell.h */
/* begin file include/simdjson/stage1_find_marks_macros.h */
#ifndef SIMDJSON_STAGE1_FIND_MARKS_MACROS_H
#define SIMDJSON_STAGE1_FIND_MARKS_MACROS_H

// return a bitvector indicating where we have characters that end an odd-length
// sequence of backslashes (and thus change the behavior of the next character
// to follow). A even-length sequence of backslashes, and, for that matter, the
// largest even-length prefix of our odd-length sequence of backslashes, simply
// modify the behavior of the backslashes themselves.
// We also update the prev_iter_ends_odd_backslash reference parameter to
// indicate whether we end an iteration on an odd-length sequence of
// backslashes, which modifies our subsequent search for odd-length
// sequences of backslashes in an obvious way.
// We need to compile that code for multiple architectures. However, target
// attributes can be used only once by function definition. Huge macro seemed
// better than huge code duplication. uint64_t
// FIND_ODD_BACKSLASH_SEQUENCES(Architecture T, simd_input<T> in, uint64_t
// &prev_iter_ends_odd_backslash)
#define FIND_ODD_BACKSLASH_SEQUENCES(T, in, prev_iter_ends_odd_backslash)      \
  {                                                                            \
    const uint64_t even_bits = 0x5555555555555555ULL;                          \
    const uint64_t odd_bits = ~even_bits;                                      \
    uint64_t bs_bits = cmp_mask_against_input<T>(in, '\\');                    \
    uint64_t start_edges = bs_bits & ~(bs_bits << 1);                          \
    /* flip lowest if we have an odd-length run at the end of the prior        \
     * iteration */                                                            \
    uint64_t even_start_mask = even_bits ^ prev_iter_ends_odd_backslash;       \
    uint64_t even_starts = start_edges & even_start_mask;                      \
    uint64_t odd_starts = start_edges & ~even_start_mask;                      \
    uint64_t even_carries = bs_bits + even_starts;                             \
                                                                               \
    uint64_t odd_carries;                                                      \
    /* must record the carry-out of our odd-carries out of bit 63; this        \
     * indicates whether the sense of any edge going to the next iteration     \
     * should be flipped */                                                    \
    bool iter_ends_odd_backslash =                                             \
        add_overflow(bs_bits, odd_starts, &odd_carries);                       \
                                                                               \
    odd_carries |= prev_iter_ends_odd_backslash; /* push in bit zero as a      \
                                                  * potential end if we had an \
                                                  * odd-numbered run at the    \
                                                  * end of the previous        \
                                                  * iteration */               \
    prev_iter_ends_odd_backslash = iter_ends_odd_backslash ? 0x1ULL : 0x0ULL;  \
    uint64_t even_carry_ends = even_carries & ~bs_bits;                        \
    uint64_t odd_carry_ends = odd_carries & ~bs_bits;                          \
    uint64_t even_start_odd_end = even_carry_ends & odd_bits;                  \
    uint64_t odd_start_even_end = odd_carry_ends & even_bits;                  \
    uint64_t odd_ends = even_start_odd_end | odd_start_even_end;               \
    return odd_ends;                                                           \
  }

// return both the quote mask (which is a half-open mask that covers the first
// quote
// in an unescaped quote pair and everything in the quote pair) and the quote
// bits, which are the simple
// unescaped quoted bits. We also update the prev_iter_inside_quote value to
// tell the next iteration
// whether we finished the final iteration inside a quote pair; if so, this
// inverts our behavior of
// whether we're inside quotes for the next iteration.
// Note that we don't do any error checking to see if we have backslash
// sequences outside quotes; these
// backslash sequences (of any length) will be detected elsewhere.
// We need to compile that code for multiple architectures. However, target
// attributes can be used only once by function definition. Huge macro seemed
// better than huge code duplication. uint64_t
// FIND_QUOTE_MASK_AND_BITS(Architecture T, simd_input<T> in, uint64_t odd_ends,
//    uint64_t &prev_iter_inside_quote, uint64_t &quote_bits, uint64_t
//    &error_mask)
#define FIND_QUOTE_MASK_AND_BITS(T, in, odd_ends, prev_iter_inside_quote,      \
                                 quote_bits, error_mask)                       \
  {                                                                            \
    quote_bits = cmp_mask_against_input<T>(in, '"');                           \
    quote_bits = quote_bits & ~odd_ends;                                       \
    uint64_t quote_mask = compute_quote_mask<T>(quote_bits);                   \
    quote_mask ^= prev_iter_inside_quote;                                      \
    /* All Unicode characters may be placed within the                         \
     * quotation marks, except for the characters that MUST be escaped:        \
     * quotation mark, reverse solidus, and the control characters (U+0000     \
     * through U+001F).                                                        \
     * https://tools.ietf.org/html/rfc8259 */                                  \
    uint64_t unescaped = unsigned_lteq_against_input<T>(in, 0x1F);             \
    error_mask |= quote_mask & unescaped;                                      \
    /* right shift of a signed value expected to be well-defined and standard  \
     * compliant as of C++20,                                                  \
     * John Regher from Utah U. says this is fine code */                      \
    prev_iter_inside_quote =                                                   \
        static_cast<uint64_t>(static_cast<int64_t>(quote_mask) >> 63);         \
    return quote_mask;                                                         \
  }

// Find structural bits in a 64-byte chunk.
// We need to compile that code for multiple architectures. However, target
// attributes can be used only once by function definition. Huge macro seemed
// better than huge code duplication. void FIND_STRUCTURAL_BITS_64(
//                              Architecture T,
//                              const uint8_t *buf,
//                              size_t idx,
//                              uint32_t *base_ptr,
//                              uint32_t &base,
//                              uint64_t &prev_iter_ends_odd_backslash,
//                              uint64_t &prev_iter_inside_quote,
//                              uint64_t &prev_iter_ends_pseudo_pred,
//                              uint64_t &structurals,
//                              uint64_t &error_mask,
//                              utf8_checking_state<T> &utf8_state, flatten
//                              function)
#define FIND_STRUCTURAL_BITS_64(                                               \
    T, buf, idx, base_ptr, base, prev_iter_ends_odd_backslash,                 \
    prev_iter_inside_quote, prev_iter_ends_pseudo_pred, structurals,           \
    error_mask, utf8_state, flat)                                              \
  {                                                                            \
    simd_input<T> in = fill_input<T>(buf);                                     \
    check_utf8<T>(in, utf8_state);                                             \
    /* detect odd sequences of backslashes */                                  \
    uint64_t odd_ends =                                                        \
        find_odd_backslash_sequences<T>(in, prev_iter_ends_odd_backslash);     \
                                                                               \
    /* detect insides of quote pairs ("quote_mask") and also our quote_bits    \
     * themselves */                                                           \
    uint64_t quote_bits;                                                       \
    uint64_t quote_mask = find_quote_mask_and_bits<T>(                         \
        in, odd_ends, prev_iter_inside_quote, quote_bits, error_mask);         \
                                                                               \
    /* take the previous iterations structural bits, not our current           \
     * iteration,                                                              \
     * and flatten */                                                          \
    flat(base_ptr, base, idx, structurals);                                    \
                                                                               \
    uint64_t whitespace;                                                       \
    find_whitespace_and_structurals<T>(in, whitespace, structurals);           \
                                                                               \
    /* fixup structurals to reflect quotes and add pseudo-structural           \
     * characters */                                                           \
    structurals =                                                              \
        finalize_structurals(structurals, whitespace, quote_mask, quote_bits,  \
                             prev_iter_ends_pseudo_pred);                      \
  }

// We need to compile that code for multiple architectures. However, target
// attributes can be used only once by function definition. Huge macro seemed
// better than huge code duplication. ErrorValues
// FIND_STRUCTURAL_BITS(Architecture T, const uint8_t *buf, size_t len,
// ParsedJson &pj, flatten function)
#define FIND_STRUCTURAL_BITS(T, buf, len, pj, flat)                            \
  {                                                                            \
    if (len > pj.byte_capacity) {                                              \
      std::cerr << "Your ParsedJson object only supports documents up to "     \
                << pj.byte_capacity << " bytes but you are trying to process " \
                << len << " bytes" << std::endl;                               \
      return simdjson::CAPACITY;                                               \
    }                                                                          \
    uint32_t *base_ptr = pj.structural_indexes;                                \
    uint32_t base = 0;                                                         \
    utf8_checking_state<T> utf8_state;                                         \
                                                                               \
    /* we have padded the input out to 64 byte multiple with the remainder     \
     * being zeros persistent state across loop does the last iteration end    \
     * with an odd-length sequence of backslashes? */                          \
                                                                               \
    /* either 0 or 1, but a 64-bit value */                                    \
    uint64_t prev_iter_ends_odd_backslash = 0ULL;                              \
    /* does the previous iteration end inside a double-quote pair? */          \
    uint64_t prev_iter_inside_quote =                                          \
        0ULL; /* either all zeros or all ones                                  \
               * does the previous iteration end on something that is a        \
               * predecessor of a pseudo-structural character - i.e.           \
               * whitespace or a structural character effectively the very     \
               * first char is considered to follow "whitespace" for the       \
               * purposes of pseudo-structural character detection so we       \
               * initialize to 1 */                                            \
    uint64_t prev_iter_ends_pseudo_pred = 1ULL;                                \
                                                                               \
    /* structurals are persistent state across loop as we flatten them on the  \
     * subsequent iteration into our array pointed to be base_ptr.             \
     * This is harmless on the first iteration as structurals==0               \
     * and is done for performance reasons; we can hide some of the latency of \
     * the                                                                     \
     * expensive carryless multiply in the previous step with this work */     \
    uint64_t structurals = 0;                                                  \
                                                                               \
    size_t lenminus64 = len < 64 ? 0 : len - 64;                               \
    size_t idx = 0;                                                            \
    uint64_t error_mask = 0; /* for unescaped characters within strings (ASCII \
                                code points < 0x20) */                         \
                                                                               \
    for (; idx < lenminus64; idx += 64) {                                      \
      FIND_STRUCTURAL_BITS_64(                                                 \
          T, &buf[idx], idx, base_ptr, base, prev_iter_ends_odd_backslash,     \
          prev_iter_inside_quote, prev_iter_ends_pseudo_pred, structurals,     \
          error_mask, utf8_state, flat);                                       \
    }                                                                          \
    /* If we have a final chunk of less than 64 bytes, pad it to 64 with       \
     * spaces  before processing it (otherwise, we risk invalidating the UTF-8 \
     * checks). */                                                             \
    if (idx < len) {                                                           \
      uint8_t tmp_buf[64];                                                     \
      memset(tmp_buf, 0x20, 64);                                               \
      memcpy(tmp_buf, buf + idx, len - idx);                                   \
      FIND_STRUCTURAL_BITS_64(                                                 \
          T, &tmp_buf[0], idx, base_ptr, base, prev_iter_ends_odd_backslash,   \
          prev_iter_inside_quote, prev_iter_ends_pseudo_pred, structurals,     \
          error_mask, utf8_state, flat);                                       \
      idx += 64;                                                               \
    }                                                                          \
                                                                               \
    /* is last string quote closed? */                                         \
    if (prev_iter_inside_quote) {                                              \
      return simdjson::UNCLOSED_STRING;                                        \
    }                                                                          \
                                                                               \
    /* finally, flatten out the remaining structurals from the last iteration  \
     */                                                                        \
    flat(base_ptr, base, idx, structurals);                                    \
                                                                               \
    pj.n_structural_indexes = base;                                            \
    /* a valid JSON file cannot have zero structural indexes - we should have  \
     * found something */                                                      \
    if (pj.n_structural_indexes == 0u) {                                       \
      return simdjson::EMPTY;                                                  \
    }                                                                          \
    if (base_ptr[pj.n_structural_indexes - 1] > len) {                         \
      return simdjson::UNEXPECTED_ERROR;                                       \
    }                                                                          \
    if (len != base_ptr[pj.n_structural_indexes - 1]) {                        \
      /* the string might not be NULL terminated, but we add a virtual NULL    \
       * ending                                                                \
       * character. */                                                         \
      base_ptr[pj.n_structural_indexes++] = len;                               \
    }                                                                          \
    /* make it safe to dereference one beyond this array */                    \
    base_ptr[pj.n_structural_indexes] = 0;                                     \
    if (error_mask) {                                                          \
      return simdjson::UNESCAPED_CHARS;                                        \
    }                                                                          \
    return check_utf8_errors<T>(utf8_state);                                   \
  }

#endif // SIMDJSON_STAGE1_FIND_MARKS_MACROS_H/* end file include/simdjson/stage1_find_marks_macros.h */
/* begin file include/simdjson/stage1_find_marks_westmere.h */
#ifndef SIMDJSON_STAGE1_FIND_MARKS_WESTMERE_H
#define SIMDJSON_STAGE1_FIND_MARKS_WESTMERE_H


#ifdef IS_X86_64

TARGET_WESTMERE
namespace simdjson {
template <> struct simd_input<Architecture::WESTMERE> {
  __m128i v0;
  __m128i v1;
  __m128i v2;
  __m128i v3;
};

template <>
really_inline simd_input<Architecture::WESTMERE>
fill_input<Architecture::WESTMERE>(const uint8_t *ptr) {
  struct simd_input<Architecture::WESTMERE> in;
  in.v0 = _mm_loadu_si128(reinterpret_cast<const __m128i *>(ptr + 0));
  in.v1 = _mm_loadu_si128(reinterpret_cast<const __m128i *>(ptr + 16));
  in.v2 = _mm_loadu_si128(reinterpret_cast<const __m128i *>(ptr + 32));
  in.v3 = _mm_loadu_si128(reinterpret_cast<const __m128i *>(ptr + 48));
  return in;
}

template <>
really_inline uint64_t
compute_quote_mask<Architecture::WESTMERE>(uint64_t quote_bits) {
  return _mm_cvtsi128_si64(_mm_clmulepi64_si128(
      _mm_set_epi64x(0ULL, quote_bits), _mm_set1_epi8(0xFFu), 0));
}

template <> struct utf8_checking_state<Architecture::WESTMERE> {
  __m128i has_error = _mm_setzero_si128();
  processed_utf_bytes previous{
      _mm_setzero_si128(), // raw_bytes
      _mm_setzero_si128(), // high_nibbles
      _mm_setzero_si128()  // carried_continuations
  };
};

template <>
really_inline void check_utf8<Architecture::WESTMERE>(
    simd_input<Architecture::WESTMERE> in,
    utf8_checking_state<Architecture::WESTMERE> &state) {
  __m128i high_bit = _mm_set1_epi8(0x80u);
  if ((_mm_testz_si128(_mm_or_si128(in.v0, in.v1), high_bit)) == 1) {
    // it is ascii, we just check continuation
    state.has_error =
        _mm_or_si128(_mm_cmpgt_epi8(state.previous.carried_continuations,
                                    _mm_setr_epi8(9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
                                                  9, 9, 9, 9, 9, 1)),
                     state.has_error);
  } else {
    // it is not ascii so we have to do heavy work
    state.previous =
        check_utf8_bytes(in.v0, &(state.previous), &(state.has_error));
    state.previous =
        check_utf8_bytes(in.v1, &(state.previous), &(state.has_error));
  }

  if ((_mm_testz_si128(_mm_or_si128(in.v2, in.v3), high_bit)) == 1) {
    // it is ascii, we just check continuation
    state.has_error =
        _mm_or_si128(_mm_cmpgt_epi8(state.previous.carried_continuations,
                                    _mm_setr_epi8(9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
                                                  9, 9, 9, 9, 9, 1)),
                     state.has_error);
  } else {
    // it is not ascii so we have to do heavy work
    state.previous =
        check_utf8_bytes(in.v2, &(state.previous), &(state.has_error));
    state.previous =
        check_utf8_bytes(in.v3, &(state.previous), &(state.has_error));
  }
}

template <>
really_inline ErrorValues check_utf8_errors<Architecture::WESTMERE>(
    utf8_checking_state<Architecture::WESTMERE> &state) {
  return _mm_testz_si128(state.has_error, state.has_error) == 0
             ? simdjson::UTF8_ERROR
             : simdjson::SUCCESS;
}

template <>
really_inline uint64_t cmp_mask_against_input<Architecture::WESTMERE>(
    simd_input<Architecture::WESTMERE> in, uint8_t m) {
  const __m128i mask = _mm_set1_epi8(m);
  __m128i cmp_res_0 = _mm_cmpeq_epi8(in.v0, mask);
  uint64_t res_0 = _mm_movemask_epi8(cmp_res_0);
  __m128i cmp_res_1 = _mm_cmpeq_epi8(in.v1, mask);
  uint64_t res_1 = _mm_movemask_epi8(cmp_res_1);
  __m128i cmp_res_2 = _mm_cmpeq_epi8(in.v2, mask);
  uint64_t res_2 = _mm_movemask_epi8(cmp_res_2);
  __m128i cmp_res_3 = _mm_cmpeq_epi8(in.v3, mask);
  uint64_t res_3 = _mm_movemask_epi8(cmp_res_3);
  return res_0 | (res_1 << 16) | (res_2 << 32) | (res_3 << 48);
}

template <>
really_inline uint64_t unsigned_lteq_against_input<Architecture::WESTMERE>(
    simd_input<Architecture::WESTMERE> in, uint8_t m) {
  const __m128i maxval = _mm_set1_epi8(m);
  __m128i cmp_res_0 = _mm_cmpeq_epi8(_mm_max_epu8(maxval, in.v0), maxval);
  uint64_t res_0 = _mm_movemask_epi8(cmp_res_0);
  __m128i cmp_res_1 = _mm_cmpeq_epi8(_mm_max_epu8(maxval, in.v1), maxval);
  uint64_t res_1 = _mm_movemask_epi8(cmp_res_1);
  __m128i cmp_res_2 = _mm_cmpeq_epi8(_mm_max_epu8(maxval, in.v2), maxval);
  uint64_t res_2 = _mm_movemask_epi8(cmp_res_2);
  __m128i cmp_res_3 = _mm_cmpeq_epi8(_mm_max_epu8(maxval, in.v3), maxval);
  uint64_t res_3 = _mm_movemask_epi8(cmp_res_3);
  return res_0 | (res_1 << 16) | (res_2 << 32) | (res_3 << 48);
}

template <>
really_inline uint64_t find_odd_backslash_sequences<Architecture::WESTMERE>(
    simd_input<Architecture::WESTMERE> in,
    uint64_t &prev_iter_ends_odd_backslash) {
  FIND_ODD_BACKSLASH_SEQUENCES(Architecture::WESTMERE, in,
                               prev_iter_ends_odd_backslash);
}

template <>
really_inline uint64_t find_quote_mask_and_bits<Architecture::WESTMERE>(
    simd_input<Architecture::WESTMERE> in, uint64_t odd_ends,
    uint64_t &prev_iter_inside_quote, uint64_t &quote_bits,
    uint64_t &error_mask) {
  FIND_QUOTE_MASK_AND_BITS(Architecture::WESTMERE, in, odd_ends,
                           prev_iter_inside_quote, quote_bits, error_mask)
}

template <>
really_inline void find_whitespace_and_structurals<Architecture::WESTMERE>(
    simd_input<Architecture::WESTMERE> in, uint64_t &whitespace,
    uint64_t &structurals) {
  const __m128i structural_table =
      _mm_setr_epi8(44, 125, 0, 0, 0xc0u, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 123);
  const __m128i white_table = _mm_setr_epi8(32, 100, 100, 100, 17, 100, 113, 2,
                                            100, 9, 10, 112, 100, 13, 100, 100);
  const __m128i struct_offset = _mm_set1_epi8(0xd4u);
  const __m128i struct_mask = _mm_set1_epi8(32);

  __m128i white0 = _mm_cmpeq_epi8(in.v0, _mm_shuffle_epi8(white_table, in.v0));
  __m128i white1 = _mm_cmpeq_epi8(in.v1, _mm_shuffle_epi8(white_table, in.v1));
  __m128i white2 = _mm_cmpeq_epi8(in.v2, _mm_shuffle_epi8(white_table, in.v2));
  __m128i white3 = _mm_cmpeq_epi8(in.v3, _mm_shuffle_epi8(white_table, in.v3));
  uint64_t ws_res_0 = _mm_movemask_epi8(white0);
  uint64_t ws_res_1 = _mm_movemask_epi8(white1);
  uint64_t ws_res_2 = _mm_movemask_epi8(white2);
  uint64_t ws_res_3 = _mm_movemask_epi8(white3);

  whitespace =
      (ws_res_0 | (ws_res_1 << 16) | (ws_res_2 << 32) | (ws_res_3 << 48));

  __m128i struct1_r1 = _mm_add_epi8(struct_offset, in.v0);
  __m128i struct2_r1 = _mm_add_epi8(struct_offset, in.v1);
  __m128i struct3_r1 = _mm_add_epi8(struct_offset, in.v2);
  __m128i struct4_r1 = _mm_add_epi8(struct_offset, in.v3);

  __m128i struct1_r2 = _mm_or_si128(in.v0, struct_mask);
  __m128i struct2_r2 = _mm_or_si128(in.v1, struct_mask);
  __m128i struct3_r2 = _mm_or_si128(in.v2, struct_mask);
  __m128i struct4_r2 = _mm_or_si128(in.v3, struct_mask);

  __m128i struct1_r3 = _mm_shuffle_epi8(structural_table, struct1_r1);
  __m128i struct2_r3 = _mm_shuffle_epi8(structural_table, struct2_r1);
  __m128i struct3_r3 = _mm_shuffle_epi8(structural_table, struct3_r1);
  __m128i struct4_r3 = _mm_shuffle_epi8(structural_table, struct4_r1);

  __m128i struct1 = _mm_cmpeq_epi8(struct1_r2, struct1_r3);
  __m128i struct2 = _mm_cmpeq_epi8(struct2_r2, struct2_r3);
  __m128i struct3 = _mm_cmpeq_epi8(struct3_r2, struct3_r3);
  __m128i struct4 = _mm_cmpeq_epi8(struct4_r2, struct4_r3);

  uint64_t structural_res_0 = _mm_movemask_epi8(struct1);
  uint64_t structural_res_1 = _mm_movemask_epi8(struct2);
  uint64_t structural_res_2 = _mm_movemask_epi8(struct3);
  uint64_t structural_res_3 = _mm_movemask_epi8(struct4);

  structurals = (structural_res_0 | (structural_res_1 << 16) |
                 (structural_res_2 << 32) | (structural_res_3 << 48));
}

} // namespace simdjson
UNTARGET_REGION

#endif // IS_X86_64
#endif // SIMDJSON_STAGE1_FIND_MARKS_WESTMERE_H/* end file include/simdjson/stage1_find_marks_westmere.h */
/* begin file include/simdjson/stage1_find_marks_haswell.h */
#ifndef SIMDJSON_STAGE1_FIND_MARKS_HASWELL_H
#define SIMDJSON_STAGE1_FIND_MARKS_HASWELL_H


#ifdef IS_X86_64

TARGET_HASWELL
namespace simdjson {
template <> struct simd_input<Architecture::HASWELL> {
  __m256i lo;
  __m256i hi;
};

template <>
really_inline simd_input<Architecture::HASWELL>
fill_input<Architecture::HASWELL>(const uint8_t *ptr) {
  struct simd_input<Architecture::HASWELL> in;
  in.lo = _mm256_loadu_si256(reinterpret_cast<const __m256i *>(ptr + 0));
  in.hi = _mm256_loadu_si256(reinterpret_cast<const __m256i *>(ptr + 32));
  return in;
}

template <>
really_inline uint64_t
compute_quote_mask<Architecture::HASWELL>(uint64_t quote_bits) {
  // There should be no such thing with a processing supporting avx2
  // but not clmul.
  uint64_t quote_mask = _mm_cvtsi128_si64(_mm_clmulepi64_si128(
      _mm_set_epi64x(0ULL, quote_bits), _mm_set1_epi8(0xFFu), 0));
  return quote_mask;
}

template <> struct utf8_checking_state<Architecture::HASWELL> {
  __m256i has_error;
  avx_processed_utf_bytes previous;
  utf8_checking_state() {
    has_error = _mm256_setzero_si256();
    previous.raw_bytes = _mm256_setzero_si256();
    previous.high_nibbles = _mm256_setzero_si256();
    previous.carried_continuations = _mm256_setzero_si256();
  }
};

template <>
really_inline void check_utf8<Architecture::HASWELL>(
    simd_input<Architecture::HASWELL> in,
    utf8_checking_state<Architecture::HASWELL> &state) {
  __m256i high_bit = _mm256_set1_epi8(0x80u);
  if ((_mm256_testz_si256(_mm256_or_si256(in.lo, in.hi), high_bit)) == 1) {
    // it is ascii, we just check continuation
    state.has_error = _mm256_or_si256(
        _mm256_cmpgt_epi8(state.previous.carried_continuations,
                          _mm256_setr_epi8(9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
                                           9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
                                           9, 9, 9, 9, 9, 9, 9, 1)),
        state.has_error);
  } else {
    // it is not ascii so we have to do heavy work
    state.previous =
        avx_check_utf8_bytes(in.lo, &(state.previous), &(state.has_error));
    state.previous =
        avx_check_utf8_bytes(in.hi, &(state.previous), &(state.has_error));
  }
}

template <>
really_inline ErrorValues check_utf8_errors<Architecture::HASWELL>(
    utf8_checking_state<Architecture::HASWELL> &state) {
  return _mm256_testz_si256(state.has_error, state.has_error) == 0
             ? simdjson::UTF8_ERROR
             : simdjson::SUCCESS;
}

template <>
really_inline uint64_t cmp_mask_against_input<Architecture::HASWELL>(
    simd_input<Architecture::HASWELL> in, uint8_t m) {
  const __m256i mask = _mm256_set1_epi8(m);
  __m256i cmp_res_0 = _mm256_cmpeq_epi8(in.lo, mask);
  uint64_t res_0 = static_cast<uint32_t>(_mm256_movemask_epi8(cmp_res_0));
  __m256i cmp_res_1 = _mm256_cmpeq_epi8(in.hi, mask);
  uint64_t res_1 = _mm256_movemask_epi8(cmp_res_1);
  return res_0 | (res_1 << 32);
}

template <>
really_inline uint64_t unsigned_lteq_against_input<Architecture::HASWELL>(
    simd_input<Architecture::HASWELL> in, uint8_t m) {
  const __m256i maxval = _mm256_set1_epi8(m);
  __m256i cmp_res_0 = _mm256_cmpeq_epi8(_mm256_max_epu8(maxval, in.lo), maxval);
  uint64_t res_0 = static_cast<uint32_t>(_mm256_movemask_epi8(cmp_res_0));
  __m256i cmp_res_1 = _mm256_cmpeq_epi8(_mm256_max_epu8(maxval, in.hi), maxval);
  uint64_t res_1 = _mm256_movemask_epi8(cmp_res_1);
  return res_0 | (res_1 << 32);
}

template <>
really_inline uint64_t find_odd_backslash_sequences<Architecture::HASWELL>(
    simd_input<Architecture::HASWELL> in,
    uint64_t &prev_iter_ends_odd_backslash) {
  FIND_ODD_BACKSLASH_SEQUENCES(Architecture::HASWELL, in,
                               prev_iter_ends_odd_backslash);
}

template <>
really_inline uint64_t find_quote_mask_and_bits<Architecture::HASWELL>(
    simd_input<Architecture::HASWELL> in, uint64_t odd_ends,
    uint64_t &prev_iter_inside_quote, uint64_t &quote_bits,
    uint64_t &error_mask) {
  FIND_QUOTE_MASK_AND_BITS(Architecture::HASWELL, in, odd_ends,
                           prev_iter_inside_quote, quote_bits, error_mask)
}

template <>
really_inline void find_whitespace_and_structurals<Architecture::HASWELL>(
    simd_input<Architecture::HASWELL> in, uint64_t &whitespace,
    uint64_t &structurals) {
#ifdef SIMDJSON_NAIVE_STRUCTURAL
  // You should never need this naive approach, but it can be useful
  // for research purposes
  const __m256i mask_open_brace = _mm256_set1_epi8(0x7b);
  __m256i struct_lo = _mm256_cmpeq_epi8(in.lo, mask_open_brace);
  __m256i struct_hi = _mm256_cmpeq_epi8(in.hi, mask_open_brace);
  const __m256i mask_close_brace = _mm256_set1_epi8(0x7d);
  struct_lo =
      _mm256_or_si256(struct_lo, _mm256_cmpeq_epi8(in.lo, mask_close_brace));
  struct_hi =
      _mm256_or_si256(struct_hi, _mm256_cmpeq_epi8(in.hi, mask_close_brace));
  const __m256i mask_open_bracket = _mm256_set1_epi8(0x5b);
  struct_lo =
      _mm256_or_si256(struct_lo, _mm256_cmpeq_epi8(in.lo, mask_open_bracket));
  struct_hi =
      _mm256_or_si256(struct_hi, _mm256_cmpeq_epi8(in.hi, mask_open_bracket));
  const __m256i mask_close_bracket = _mm256_set1_epi8(0x5d);
  struct_lo =
      _mm256_or_si256(struct_lo, _mm256_cmpeq_epi8(in.lo, mask_close_bracket));
  struct_hi =
      _mm256_or_si256(struct_hi, _mm256_cmpeq_epi8(in.hi, mask_close_bracket));
  const __m256i mask_column = _mm256_set1_epi8(0x3a);
  struct_lo = _mm256_or_si256(struct_lo, _mm256_cmpeq_epi8(in.lo, mask_column));
  struct_hi = _mm256_or_si256(struct_hi, _mm256_cmpeq_epi8(in.hi, mask_column));
  const __m256i mask_comma = _mm256_set1_epi8(0x2c);
  struct_lo = _mm256_or_si256(struct_lo, _mm256_cmpeq_epi8(in.lo, mask_comma));
  struct_hi = _mm256_or_si256(struct_hi, _mm256_cmpeq_epi8(in.hi, mask_comma));
  uint64_t structural_res_0 =
      static_cast<uint32_t>(_mm256_movemask_epi8(struct_lo));
  uint64_t structural_res_1 = _mm256_movemask_epi8(struct_hi);
  structurals = (structural_res_0 | (structural_res_1 << 32));

  const __m256i mask_space = _mm256_set1_epi8(0x20);
  __m256i space_lo = _mm256_cmpeq_epi8(in.lo, mask_space);
  __m256i space_hi = _mm256_cmpeq_epi8(in.hi, mask_space);
  const __m256i mask_linefeed = _mm256_set1_epi8(0x0a);
  space_lo = _mm256_or_si256(space_lo, _mm256_cmpeq_epi8(in.lo, mask_linefeed));
  space_hi = _mm256_or_si256(space_hi, _mm256_cmpeq_epi8(in.hi, mask_linefeed));
  const __m256i mask_tab = _mm256_set1_epi8(0x09);
  space_lo = _mm256_or_si256(space_lo, _mm256_cmpeq_epi8(in.lo, mask_tab));
  space_hi = _mm256_or_si256(space_hi, _mm256_cmpeq_epi8(in.hi, mask_tab));
  const __m256i mask_carriage = _mm256_set1_epi8(0x0d);
  space_lo = _mm256_or_si256(space_lo, _mm256_cmpeq_epi8(in.lo, mask_carriage));
  space_hi = _mm256_or_si256(space_hi, _mm256_cmpeq_epi8(in.hi, mask_carriage));

  uint64_t ws_res_0 = static_cast<uint32_t>(_mm256_movemask_epi8(space_lo));
  uint64_t ws_res_1 = _mm256_movemask_epi8(space_hi);
  whitespace = (ws_res_0 | (ws_res_1 << 32));
  // end of naive approach

#else  // SIMDJSON_NAIVE_STRUCTURAL
  // clang-format off
  const __m256i structural_table =
      _mm256_setr_epi8(44, 125, 0, 0, 0xc0u, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 123,
                       44, 125, 0, 0, 0xc0u, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 123);
  const __m256i white_table = _mm256_setr_epi8(
      32, 100, 100, 100, 17, 100, 113, 2, 100, 9, 10, 112, 100, 13, 100, 100,
      32, 100, 100, 100, 17, 100, 113, 2, 100, 9, 10, 112, 100, 13, 100, 100);
  // clang-format on
  const __m256i struct_offset = _mm256_set1_epi8(0xd4u);
  const __m256i struct_mask = _mm256_set1_epi8(32);

  __m256i lo_white =
      _mm256_cmpeq_epi8(in.lo, _mm256_shuffle_epi8(white_table, in.lo));
  __m256i hi_white =
      _mm256_cmpeq_epi8(in.hi, _mm256_shuffle_epi8(white_table, in.hi));
  uint64_t ws_res_0 = static_cast<uint32_t>(_mm256_movemask_epi8(lo_white));
  uint64_t ws_res_1 = _mm256_movemask_epi8(hi_white);
  whitespace = (ws_res_0 | (ws_res_1 << 32));
  __m256i lo_struct_r1 = _mm256_add_epi8(struct_offset, in.lo);
  __m256i hi_struct_r1 = _mm256_add_epi8(struct_offset, in.hi);
  __m256i lo_struct_r2 = _mm256_or_si256(in.lo, struct_mask);
  __m256i hi_struct_r2 = _mm256_or_si256(in.hi, struct_mask);
  __m256i lo_struct_r3 = _mm256_shuffle_epi8(structural_table, lo_struct_r1);
  __m256i hi_struct_r3 = _mm256_shuffle_epi8(structural_table, hi_struct_r1);
  __m256i lo_struct = _mm256_cmpeq_epi8(lo_struct_r2, lo_struct_r3);
  __m256i hi_struct = _mm256_cmpeq_epi8(hi_struct_r2, hi_struct_r3);

  uint64_t structural_res_0 =
      static_cast<uint32_t>(_mm256_movemask_epi8(lo_struct));
  uint64_t structural_res_1 = _mm256_movemask_epi8(hi_struct);
  structurals = (structural_res_0 | (structural_res_1 << 32));
#endif // SIMDJSON_NAIVE_STRUCTURAL
}

} // namespace simdjson
UNTARGET_REGION

#endif // IS_X86_64
#endif // SIMDJSON_STAGE1_FIND_MARKS_HASWELL_H/* end file include/simdjson/stage1_find_marks_haswell.h */
/* begin file include/simdjson/stage1_find_marks_arm64.h */
#ifndef SIMDJSON_STAGE1_FIND_MARKS_ARM64_H
#define SIMDJSON_STAGE1_FIND_MARKS_ARM64_H


#ifdef IS_ARM64
namespace simdjson {
template <> struct simd_input<Architecture::ARM64> {
  uint8x16_t i0;
  uint8x16_t i1;
  uint8x16_t i2;
  uint8x16_t i3;
};

template <>
really_inline simd_input<Architecture::ARM64>
fill_input<Architecture::ARM64>(const uint8_t *ptr) {
  struct simd_input<Architecture::ARM64> in;
  in.i0 = vld1q_u8(ptr + 0);
  in.i1 = vld1q_u8(ptr + 16);
  in.i2 = vld1q_u8(ptr + 32);
  in.i3 = vld1q_u8(ptr + 48);
  return in;
}

really_inline uint16_t neon_movemask(uint8x16_t input) {
  const uint8x16_t bit_mask = {0x01, 0x02, 0x4, 0x8, 0x10, 0x20, 0x40, 0x80,
                               0x01, 0x02, 0x4, 0x8, 0x10, 0x20, 0x40, 0x80};
  uint8x16_t minput = vandq_u8(input, bit_mask);
  uint8x16_t tmp = vpaddq_u8(minput, minput);
  tmp = vpaddq_u8(tmp, tmp);
  tmp = vpaddq_u8(tmp, tmp);
  return vgetq_lane_u16(vreinterpretq_u16_u8(tmp), 0);
}

really_inline uint64_t neon_movemask_bulk(uint8x16_t p0, uint8x16_t p1,
                                          uint8x16_t p2, uint8x16_t p3) {
  const uint8x16_t bit_mask = {0x01, 0x02, 0x4, 0x8, 0x10, 0x20, 0x40, 0x80,
                               0x01, 0x02, 0x4, 0x8, 0x10, 0x20, 0x40, 0x80};
  uint8x16_t t0 = vandq_u8(p0, bit_mask);
  uint8x16_t t1 = vandq_u8(p1, bit_mask);
  uint8x16_t t2 = vandq_u8(p2, bit_mask);
  uint8x16_t t3 = vandq_u8(p3, bit_mask);
  uint8x16_t sum0 = vpaddq_u8(t0, t1);
  uint8x16_t sum1 = vpaddq_u8(t2, t3);
  sum0 = vpaddq_u8(sum0, sum1);
  sum0 = vpaddq_u8(sum0, sum0);
  return vgetq_lane_u64(vreinterpretq_u64_u8(sum0), 0);
}

template <>
really_inline uint64_t
compute_quote_mask<Architecture::ARM64>(uint64_t quote_bits) {
#ifdef __ARM_FEATURE_CRYPTO // some ARM processors lack this extension
  return vmull_p64(-1ULL, quote_bits);
#else
  return portable_compute_quote_mask(quote_bits);
#endif
}

template <> struct utf8_checking_state<Architecture::ARM64> {
  int8x16_t has_error{};
  processed_utf_bytes previous{};
};

// Checks that all bytes are ascii
really_inline bool check_ascii_neon(simd_input<Architecture::ARM64> in) {
  // checking if the most significant bit is always equal to 0.
  uint8x16_t high_bit = vdupq_n_u8(0x80);
  uint8x16_t t0 = vorrq_u8(in.i0, in.i1);
  uint8x16_t t1 = vorrq_u8(in.i2, in.i3);
  uint8x16_t t3 = vorrq_u8(t0, t1);
  uint8x16_t t4 = vandq_u8(t3, high_bit);
  uint64x2_t v64 = vreinterpretq_u64_u8(t4);
  uint32x2_t v32 = vqmovn_u64(v64);
  uint64x1_t result = vreinterpret_u64_u32(v32);
  return vget_lane_u64(result, 0) == 0;
}

template <>
really_inline void check_utf8<Architecture::ARM64>(
    simd_input<Architecture::ARM64> in,
    utf8_checking_state<Architecture::ARM64> &state) {
  if (check_ascii_neon(in)) {
    // All bytes are ascii. Therefore the byte that was just before must be
    // ascii too. We only check the byte that was just before simd_input. Nines
    // are arbitrary values.
    const int8x16_t verror =
        (int8x16_t){9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 1};
    state.has_error =
        vorrq_s8(vreinterpretq_s8_u8(
                     vcgtq_s8(state.previous.carried_continuations, verror)),
                 state.has_error);
  } else {
    // it is not ascii so we have to do heavy work
    state.previous = check_utf8_bytes(vreinterpretq_s8_u8(in.i0),
                                      &(state.previous), &(state.has_error));
    state.previous = check_utf8_bytes(vreinterpretq_s8_u8(in.i1),
                                      &(state.previous), &(state.has_error));
    state.previous = check_utf8_bytes(vreinterpretq_s8_u8(in.i2),
                                      &(state.previous), &(state.has_error));
    state.previous = check_utf8_bytes(vreinterpretq_s8_u8(in.i3),
                                      &(state.previous), &(state.has_error));
  }
}

template <>
really_inline ErrorValues check_utf8_errors<Architecture::ARM64>(
    utf8_checking_state<Architecture::ARM64> &state) {
  uint64x2_t v64 = vreinterpretq_u64_s8(state.has_error);
  uint32x2_t v32 = vqmovn_u64(v64);
  uint64x1_t result = vreinterpret_u64_u32(v32);
  return vget_lane_u64(result, 0) != 0 ? simdjson::UTF8_ERROR
                                       : simdjson::SUCCESS;
}

template <>
really_inline uint64_t cmp_mask_against_input<Architecture::ARM64>(
    simd_input<Architecture::ARM64> in, uint8_t m) {
  const uint8x16_t mask = vmovq_n_u8(m);
  uint8x16_t cmp_res_0 = vceqq_u8(in.i0, mask);
  uint8x16_t cmp_res_1 = vceqq_u8(in.i1, mask);
  uint8x16_t cmp_res_2 = vceqq_u8(in.i2, mask);
  uint8x16_t cmp_res_3 = vceqq_u8(in.i3, mask);
  return neon_movemask_bulk(cmp_res_0, cmp_res_1, cmp_res_2, cmp_res_3);
}

template <>
really_inline uint64_t unsigned_lteq_against_input<Architecture::ARM64>(
    simd_input<Architecture::ARM64> in, uint8_t m) {
  const uint8x16_t mask = vmovq_n_u8(m);
  uint8x16_t cmp_res_0 = vcleq_u8(in.i0, mask);
  uint8x16_t cmp_res_1 = vcleq_u8(in.i1, mask);
  uint8x16_t cmp_res_2 = vcleq_u8(in.i2, mask);
  uint8x16_t cmp_res_3 = vcleq_u8(in.i3, mask);
  return neon_movemask_bulk(cmp_res_0, cmp_res_1, cmp_res_2, cmp_res_3);
}

template <>
really_inline uint64_t find_odd_backslash_sequences<Architecture::ARM64>(
    simd_input<Architecture::ARM64> in,
    uint64_t &prev_iter_ends_odd_backslash) {
  FIND_ODD_BACKSLASH_SEQUENCES(Architecture::ARM64, in,
                               prev_iter_ends_odd_backslash);
}

template <>
really_inline uint64_t find_quote_mask_and_bits<Architecture::ARM64>(
    simd_input<Architecture::ARM64> in, uint64_t odd_ends,
    uint64_t &prev_iter_inside_quote, uint64_t &quote_bits,
    uint64_t &error_mask) {
  FIND_QUOTE_MASK_AND_BITS(Architecture::ARM64, in, odd_ends,
                           prev_iter_inside_quote, quote_bits, error_mask)
}

template <>
really_inline void find_whitespace_and_structurals<Architecture::ARM64>(
    simd_input<Architecture::ARM64> in, uint64_t &whitespace,
    uint64_t &structurals) {
  const uint8x16_t low_nibble_mask =
      (uint8x16_t){16, 0, 0, 0, 0, 0, 0, 0, 0, 8, 12, 1, 2, 9, 0, 0};
  const uint8x16_t high_nibble_mask =
      (uint8x16_t){8, 0, 18, 4, 0, 1, 0, 1, 0, 0, 0, 3, 2, 1, 0, 0};
  const uint8x16_t structural_shufti_mask = vmovq_n_u8(0x7);
  const uint8x16_t whitespace_shufti_mask = vmovq_n_u8(0x18);
  const uint8x16_t low_nib_and_mask = vmovq_n_u8(0xf);

  uint8x16_t nib_0_lo = vandq_u8(in.i0, low_nib_and_mask);
  uint8x16_t nib_0_hi = vshrq_n_u8(in.i0, 4);
  uint8x16_t shuf_0_lo = vqtbl1q_u8(low_nibble_mask, nib_0_lo);
  uint8x16_t shuf_0_hi = vqtbl1q_u8(high_nibble_mask, nib_0_hi);
  uint8x16_t v_0 = vandq_u8(shuf_0_lo, shuf_0_hi);

  uint8x16_t nib_1_lo = vandq_u8(in.i1, low_nib_and_mask);
  uint8x16_t nib_1_hi = vshrq_n_u8(in.i1, 4);
  uint8x16_t shuf_1_lo = vqtbl1q_u8(low_nibble_mask, nib_1_lo);
  uint8x16_t shuf_1_hi = vqtbl1q_u8(high_nibble_mask, nib_1_hi);
  uint8x16_t v_1 = vandq_u8(shuf_1_lo, shuf_1_hi);

  uint8x16_t nib_2_lo = vandq_u8(in.i2, low_nib_and_mask);
  uint8x16_t nib_2_hi = vshrq_n_u8(in.i2, 4);
  uint8x16_t shuf_2_lo = vqtbl1q_u8(low_nibble_mask, nib_2_lo);
  uint8x16_t shuf_2_hi = vqtbl1q_u8(high_nibble_mask, nib_2_hi);
  uint8x16_t v_2 = vandq_u8(shuf_2_lo, shuf_2_hi);

  uint8x16_t nib_3_lo = vandq_u8(in.i3, low_nib_and_mask);
  uint8x16_t nib_3_hi = vshrq_n_u8(in.i3, 4);
  uint8x16_t shuf_3_lo = vqtbl1q_u8(low_nibble_mask, nib_3_lo);
  uint8x16_t shuf_3_hi = vqtbl1q_u8(high_nibble_mask, nib_3_hi);
  uint8x16_t v_3 = vandq_u8(shuf_3_lo, shuf_3_hi);

  uint8x16_t tmp_0 = vtstq_u8(v_0, structural_shufti_mask);
  uint8x16_t tmp_1 = vtstq_u8(v_1, structural_shufti_mask);
  uint8x16_t tmp_2 = vtstq_u8(v_2, structural_shufti_mask);
  uint8x16_t tmp_3 = vtstq_u8(v_3, structural_shufti_mask);
  structurals = neon_movemask_bulk(tmp_0, tmp_1, tmp_2, tmp_3);

  uint8x16_t tmp_ws_0 = vtstq_u8(v_0, whitespace_shufti_mask);
  uint8x16_t tmp_ws_1 = vtstq_u8(v_1, whitespace_shufti_mask);
  uint8x16_t tmp_ws_2 = vtstq_u8(v_2, whitespace_shufti_mask);
  uint8x16_t tmp_ws_3 = vtstq_u8(v_3, whitespace_shufti_mask);
  whitespace = neon_movemask_bulk(tmp_ws_0, tmp_ws_1, tmp_ws_2, tmp_ws_3);
}
} // namespace simdjson

#endif // IS_ARM64
#endif // SIMDJSON_STAGE1_FIND_MARKS_ARM64_H/* end file include/simdjson/stage1_find_marks_arm64.h */
/* begin file include/simdjson/stringparsing.h */
#ifndef SIMDJSON_STRINGPARSING_H
#define SIMDJSON_STRINGPARSING_H


#ifdef JSON_TEST_STRINGS
void found_string(const uint8_t *buf, const uint8_t *parsed_begin,
                  const uint8_t *parsed_end);
void found_bad_string(const uint8_t *buf);
#endif

namespace simdjson {
// begin copypasta
// These chars yield themselves: " \ /
// b -> backspace, f -> formfeed, n -> newline, r -> cr, t -> horizontal tab
// u not handled in this table as it's complex
static const uint8_t escape_map[256] = {
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0, // 0x0.
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
    0, 0, 0x22, 0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0x2f,
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,

    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0, // 0x4.
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0x5c, 0, 0,    0, // 0x5.
    0, 0, 0x08, 0, 0,    0, 0x0c, 0, 0, 0, 0, 0, 0,    0, 0x0a, 0, // 0x6.
    0, 0, 0x0d, 0, 0x09, 0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0, // 0x7.

    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,

    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
    0, 0, 0,    0, 0,    0, 0,    0, 0, 0, 0, 0, 0,    0, 0,    0,
};

// handle a unicode codepoint
// write appropriate values into dest
// src will advance 6 bytes or 12 bytes
// dest will advance a variable amount (return via pointer)
// return true if the unicode codepoint was valid
// We work in little-endian then swap at write time
WARN_UNUSED
really_inline bool handle_unicode_codepoint(const uint8_t **src_ptr,
                                            uint8_t **dst_ptr) {
  // hex_to_u32_nocheck fills high 16 bits of the return value with 1s if the
  // conversion isn't valid; we defer the check for this to inside the
  // multilingual plane check
  uint32_t code_point = hex_to_u32_nocheck(*src_ptr + 2);
  *src_ptr += 6;
  // check for low surrogate for characters outside the Basic
  // Multilingual Plane.
  if (code_point >= 0xd800 && code_point < 0xdc00) {
    if (((*src_ptr)[0] != '\\') || (*src_ptr)[1] != 'u') {
      return false;
    }
    uint32_t code_point_2 = hex_to_u32_nocheck(*src_ptr + 2);

    // if the first code point is invalid we will get here, as we will go past
    // the check for being outside the Basic Multilingual plane. If we don't
    // find a \u immediately afterwards we fail out anyhow, but if we do,
    // this check catches both the case of the first code point being invalid
    // or the second code point being invalid.
    if ((code_point | code_point_2) >> 16) {
      return false;
    }

    code_point =
        (((code_point - 0xd800) << 10) | (code_point_2 - 0xdc00)) + 0x10000;
    *src_ptr += 6;
  }
  size_t offset = codepoint_to_utf8(code_point, *dst_ptr);
  *dst_ptr += offset;
  return offset > 0;
}

// Holds backslashes and quotes locations.
struct parse_string_helper {
  uint32_t bs_bits;
  uint32_t quote_bits;
};

// Finds where the backslashes and quotes are located.
template <Architecture>
parse_string_helper find_bs_bits_and_quote_bits(const uint8_t *src,
                                                uint8_t *dst);

template <Architecture T>
WARN_UNUSED ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER LENIENT_MEM_SANITIZER
    really_inline bool
    parse_string(UNUSED const uint8_t *buf, UNUSED size_t len, ParsedJson &pj,
                 UNUSED const uint32_t depth, UNUSED uint32_t offset);

} // namespace simdjson

/// Now include the specializations:

#endif
/* end file include/simdjson/stringparsing.h */
/* begin file include/simdjson/stringparsing_macros.h */
#ifndef SIMDJSON_STRINGPARSING_MACROS_H
#define SIMDJSON_STRINGPARSING_MACROS_H

// We need to compile that code for multiple architectures. However, target
// attributes can be used only once by function definition. Huge macro seemed
// better than huge code duplication.ç
// bool PARSE_STRING(Architecture T, const uint8_t *buf, size_t len, ParsedJson
//                  &pj,const uint32_t depth, uint32_t offset)
#define PARSE_STRING(T, buf, len, pj, depth, offset)                           \
  {                                                                            \
    pj.write_tape(pj.current_string_buf_loc - pj.string_buf, '"');             \
    const uint8_t *src =                                                       \
        &buf[offset + 1]; /* we know that buf at offset is a " */              \
    uint8_t *dst = pj.current_string_buf_loc + sizeof(uint32_t);               \
    const uint8_t *const start_of_string = dst;                                \
    while (1) {                                                                \
      parse_string_helper helper = find_bs_bits_and_quote_bits<T>(src, dst);   \
      if (((helper.bs_bits - 1) & helper.quote_bits) != 0) {                   \
        /* we encountered quotes first. Move dst to point to quotes and exit   \
         */                                                                    \
                                                                               \
        /* find out where the quote is... */                                   \
        uint32_t quote_dist = trailing_zeroes(helper.quote_bits);              \
                                                                               \
        /* NULL termination is still handy if you expect all your strings to   \
         * be NULL terminated? */                                              \
        /* It comes at a small cost */                                         \
        dst[quote_dist] = 0;                                                   \
                                                                               \
        uint32_t str_length = (dst - start_of_string) + quote_dist;            \
        memcpy(pj.current_string_buf_loc, &str_length, sizeof(uint32_t));      \
        /*****************************                                         \
         * Above, check for overflow in case someone has a crazy string        \
         * (>=4GB?)                 _                                          \
         * But only add the overflow check when the document itself exceeds    \
         * 4GB                                                                 \
         * Currently unneeded because we refuse to parse docs larger or equal  \
         * to 4GB.                                                             \
         ****************************/                                         \
                                                                               \
        /* we advance the point, accounting for the fact that we have a NULL   \
         * termination         */                                              \
        pj.current_string_buf_loc = dst + quote_dist + 1;                      \
        return true;                                                           \
      }                                                                        \
      if (((helper.quote_bits - 1) & helper.bs_bits) != 0) {                   \
        /* find out where the backspace is */                                  \
        uint32_t bs_dist = trailing_zeroes(helper.bs_bits);                    \
        uint8_t escape_char = src[bs_dist + 1];                                \
        /* we encountered backslash first. Handle backslash */                 \
        if (escape_char == 'u') {                                              \
          /* move src/dst up to the start; they will be further adjusted       \
             within the unicode codepoint handling code. */                    \
          src += bs_dist;                                                      \
          dst += bs_dist;                                                      \
          if (!handle_unicode_codepoint(&src, &dst)) {                         \
            return false;                                                      \
          }                                                                    \
        } else {                                                               \
          /* simple 1:1 conversion. Will eat bs_dist+2 characters in input and \
           * write bs_dist+1 characters to output                              \
           * note this may reach beyond the part of the buffer we've actually  \
           * seen. I think this is ok */                                       \
          uint8_t escape_result = escape_map[escape_char];                     \
          if (escape_result == 0u) {                                           \
            return false; /* bogus escape value is an error */                 \
          }                                                                    \
          dst[bs_dist] = escape_result;                                        \
          src += bs_dist + 2;                                                  \
          dst += bs_dist + 1;                                                  \
        }                                                                      \
      } else {                                                                 \
        /* they are the same. Since they can't co-occur, it means we           \
         * encountered neither. */                                             \
        if constexpr (T == Architecture::WESTMERE) {                           \
          src += 16;                                                           \
          dst += 16;                                                           \
        } else {                                                               \
          src += 32;                                                           \
          dst += 32;                                                           \
        }                                                                      \
      }                                                                        \
    }                                                                          \
    /* can't be reached */                                                     \
    return true;                                                               \
  }

#endif/* end file include/simdjson/stringparsing_macros.h */
/* begin file include/simdjson/stringparsing_westmere.h */
#ifndef SIMDJSON_STRINGPARSING_WESTMERE_H
#define SIMDJSON_STRINGPARSING_WESTMERE_H


#ifdef IS_X86_64
TARGET_WESTMERE
namespace simdjson {
template <>
really_inline parse_string_helper
find_bs_bits_and_quote_bits<Architecture::WESTMERE>(const uint8_t *src,
                                                    uint8_t *dst) {
  // this can read up to 31 bytes beyond the buffer size, but we require
  // SIMDJSON_PADDING of padding
  __m128i v = _mm_loadu_si128(reinterpret_cast<const __m128i *>(src));
  // store to dest unconditionally - we can overwrite the bits we don't like
  // later
  _mm_storeu_si128(reinterpret_cast<__m128i *>(dst), v);
  auto quote_mask = _mm_cmpeq_epi8(v, _mm_set1_epi8('"'));
  return {
      static_cast<uint32_t>(
          _mm_movemask_epi8(_mm_cmpeq_epi8(v, _mm_set1_epi8('\\')))), // bs_bits
      static_cast<uint32_t>(_mm_movemask_epi8(quote_mask)) // quote_bits
  };
}

template <>
WARN_UNUSED ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER LENIENT_MEM_SANITIZER
    really_inline bool
    parse_string<Architecture::WESTMERE>(UNUSED const uint8_t *buf,
                                         UNUSED size_t len, ParsedJson &pj,
                                         UNUSED const uint32_t depth,
                                         UNUSED uint32_t offset) {
  PARSE_STRING(Architecture::WESTMERE, buf, len, pj, depth, offset);
}
} // namespace simdjson
UNTARGET_REGION
#endif

#endif/* end file include/simdjson/stringparsing_westmere.h */
/* begin file include/simdjson/stringparsing_haswell.h */
#ifndef SIMDJSON_STRINGPARSING_HASWELL_H
#define SIMDJSON_STRINGPARSING_HASWELL_H


#ifdef IS_X86_64
TARGET_HASWELL
namespace simdjson {
template <>
really_inline parse_string_helper
find_bs_bits_and_quote_bits<Architecture::HASWELL>(const uint8_t *src,
                                                   uint8_t *dst) {
  // this can read up to 31 bytes beyond the buffer size, but we require
  // SIMDJSON_PADDING of padding
  static_assert(sizeof(__m256i) - 1 <= SIMDJSON_PADDING);
  __m256i v = _mm256_loadu_si256(reinterpret_cast<const __m256i *>(src));
  // store to dest unconditionally - we can overwrite the bits we don't like
  // later
  _mm256_storeu_si256(reinterpret_cast<__m256i *>(dst), v);
  auto quote_mask = _mm256_cmpeq_epi8(v, _mm256_set1_epi8('"'));
  return {
      static_cast<uint32_t>(_mm256_movemask_epi8(
          _mm256_cmpeq_epi8(v, _mm256_set1_epi8('\\')))),     // bs_bits
      static_cast<uint32_t>(_mm256_movemask_epi8(quote_mask)) // quote_bits
  };
}

template <>
WARN_UNUSED ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER LENIENT_MEM_SANITIZER
    really_inline bool
    parse_string<Architecture::HASWELL>(UNUSED const uint8_t *buf,
                                        UNUSED size_t len, ParsedJson &pj,
                                        UNUSED const uint32_t depth,
                                        UNUSED uint32_t offset) {
  PARSE_STRING(Architecture::HASWELL, buf, len, pj, depth, offset);
}

} // namespace simdjson
UNTARGET_REGION
#endif

#endif/* end file include/simdjson/stringparsing_haswell.h */
/* begin file include/simdjson/stringparsing_arm64.h */
#ifndef SIMDJSON_STRINGPARSING_ARM64_H
#define SIMDJSON_STRINGPARSING_ARM64_H


#ifdef IS_ARM64
namespace simdjson {
template <>
really_inline parse_string_helper
find_bs_bits_and_quote_bits<Architecture::ARM64>(const uint8_t *src,
                                                 uint8_t *dst) {
  // this can read up to 31 bytes beyond the buffer size, but we require
  // SIMDJSON_PADDING of padding
  static_assert(2 * sizeof(uint8x16_t) - 1 <= SIMDJSON_PADDING);
  uint8x16_t v0 = vld1q_u8(src);
  uint8x16_t v1 = vld1q_u8(src + 16);
  vst1q_u8(dst, v0);
  vst1q_u8(dst + 16, v1);

  uint8x16_t bs_mask = vmovq_n_u8('\\');
  uint8x16_t qt_mask = vmovq_n_u8('"');
  const uint8x16_t bit_mask = {0x01, 0x02, 0x4, 0x8, 0x10, 0x20, 0x40, 0x80,
                               0x01, 0x02, 0x4, 0x8, 0x10, 0x20, 0x40, 0x80};
  uint8x16_t cmp_bs_0 = vceqq_u8(v0, bs_mask);
  uint8x16_t cmp_bs_1 = vceqq_u8(v1, bs_mask);
  uint8x16_t cmp_qt_0 = vceqq_u8(v0, qt_mask);
  uint8x16_t cmp_qt_1 = vceqq_u8(v1, qt_mask);

  cmp_bs_0 = vandq_u8(cmp_bs_0, bit_mask);
  cmp_bs_1 = vandq_u8(cmp_bs_1, bit_mask);
  cmp_qt_0 = vandq_u8(cmp_qt_0, bit_mask);
  cmp_qt_1 = vandq_u8(cmp_qt_1, bit_mask);

  uint8x16_t sum0 = vpaddq_u8(cmp_bs_0, cmp_bs_1);
  uint8x16_t sum1 = vpaddq_u8(cmp_qt_0, cmp_qt_1);
  sum0 = vpaddq_u8(sum0, sum1);
  sum0 = vpaddq_u8(sum0, sum0);
  return {
      vgetq_lane_u32(vreinterpretq_u32_u8(sum0), 0), // bs_bits
      vgetq_lane_u32(vreinterpretq_u32_u8(sum0), 1)  // quote_bits
  };
}

template <>
WARN_UNUSED ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER LENIENT_MEM_SANITIZER
    really_inline bool
    parse_string<Architecture::ARM64>(UNUSED const uint8_t *buf,
                                      UNUSED size_t len, ParsedJson &pj,
                                      UNUSED const uint32_t depth,
                                      UNUSED uint32_t offset) {
  PARSE_STRING(Architecture::ARM64, buf, len, pj, depth, offset);
}
} // namespace simdjson
#endif
#endif
/* end file include/simdjson/stringparsing_arm64.h */
/* begin file include/simdjson/numberparsing.h */
#ifndef SIMDJSON_NUMBERPARSING_H
#define SIMDJSON_NUMBERPARSING_H


#ifdef JSON_TEST_NUMBERS // for unit testing
void found_invalid_number(const uint8_t *buf);
void found_integer(int64_t result, const uint8_t *buf);
void found_float(double result, const uint8_t *buf);
#endif

namespace simdjson {
// Allowable floating-point values range from
// std::numeric_limits<double>::lowest() to std::numeric_limits<double>::max(),
// so from -1.7976e308 all the way to 1.7975e308 in binary64. The lowest
// non-zero normal values is std::numeric_limits<double>::min() or
// about 2.225074e-308.
static const double power_of_ten[] = {
    1e-308, 1e-307, 1e-306, 1e-305, 1e-304, 1e-303, 1e-302, 1e-301, 1e-300,
    1e-299, 1e-298, 1e-297, 1e-296, 1e-295, 1e-294, 1e-293, 1e-292, 1e-291,
    1e-290, 1e-289, 1e-288, 1e-287, 1e-286, 1e-285, 1e-284, 1e-283, 1e-282,
    1e-281, 1e-280, 1e-279, 1e-278, 1e-277, 1e-276, 1e-275, 1e-274, 1e-273,
    1e-272, 1e-271, 1e-270, 1e-269, 1e-268, 1e-267, 1e-266, 1e-265, 1e-264,
    1e-263, 1e-262, 1e-261, 1e-260, 1e-259, 1e-258, 1e-257, 1e-256, 1e-255,
    1e-254, 1e-253, 1e-252, 1e-251, 1e-250, 1e-249, 1e-248, 1e-247, 1e-246,
    1e-245, 1e-244, 1e-243, 1e-242, 1e-241, 1e-240, 1e-239, 1e-238, 1e-237,
    1e-236, 1e-235, 1e-234, 1e-233, 1e-232, 1e-231, 1e-230, 1e-229, 1e-228,
    1e-227, 1e-226, 1e-225, 1e-224, 1e-223, 1e-222, 1e-221, 1e-220, 1e-219,
    1e-218, 1e-217, 1e-216, 1e-215, 1e-214, 1e-213, 1e-212, 1e-211, 1e-210,
    1e-209, 1e-208, 1e-207, 1e-206, 1e-205, 1e-204, 1e-203, 1e-202, 1e-201,
    1e-200, 1e-199, 1e-198, 1e-197, 1e-196, 1e-195, 1e-194, 1e-193, 1e-192,
    1e-191, 1e-190, 1e-189, 1e-188, 1e-187, 1e-186, 1e-185, 1e-184, 1e-183,
    1e-182, 1e-181, 1e-180, 1e-179, 1e-178, 1e-177, 1e-176, 1e-175, 1e-174,
    1e-173, 1e-172, 1e-171, 1e-170, 1e-169, 1e-168, 1e-167, 1e-166, 1e-165,
    1e-164, 1e-163, 1e-162, 1e-161, 1e-160, 1e-159, 1e-158, 1e-157, 1e-156,
    1e-155, 1e-154, 1e-153, 1e-152, 1e-151, 1e-150, 1e-149, 1e-148, 1e-147,
    1e-146, 1e-145, 1e-144, 1e-143, 1e-142, 1e-141, 1e-140, 1e-139, 1e-138,
    1e-137, 1e-136, 1e-135, 1e-134, 1e-133, 1e-132, 1e-131, 1e-130, 1e-129,
    1e-128, 1e-127, 1e-126, 1e-125, 1e-124, 1e-123, 1e-122, 1e-121, 1e-120,
    1e-119, 1e-118, 1e-117, 1e-116, 1e-115, 1e-114, 1e-113, 1e-112, 1e-111,
    1e-110, 1e-109, 1e-108, 1e-107, 1e-106, 1e-105, 1e-104, 1e-103, 1e-102,
    1e-101, 1e-100, 1e-99,  1e-98,  1e-97,  1e-96,  1e-95,  1e-94,  1e-93,
    1e-92,  1e-91,  1e-90,  1e-89,  1e-88,  1e-87,  1e-86,  1e-85,  1e-84,
    1e-83,  1e-82,  1e-81,  1e-80,  1e-79,  1e-78,  1e-77,  1e-76,  1e-75,
    1e-74,  1e-73,  1e-72,  1e-71,  1e-70,  1e-69,  1e-68,  1e-67,  1e-66,
    1e-65,  1e-64,  1e-63,  1e-62,  1e-61,  1e-60,  1e-59,  1e-58,  1e-57,
    1e-56,  1e-55,  1e-54,  1e-53,  1e-52,  1e-51,  1e-50,  1e-49,  1e-48,
    1e-47,  1e-46,  1e-45,  1e-44,  1e-43,  1e-42,  1e-41,  1e-40,  1e-39,
    1e-38,  1e-37,  1e-36,  1e-35,  1e-34,  1e-33,  1e-32,  1e-31,  1e-30,
    1e-29,  1e-28,  1e-27,  1e-26,  1e-25,  1e-24,  1e-23,  1e-22,  1e-21,
    1e-20,  1e-19,  1e-18,  1e-17,  1e-16,  1e-15,  1e-14,  1e-13,  1e-12,
    1e-11,  1e-10,  1e-9,   1e-8,   1e-7,   1e-6,   1e-5,   1e-4,   1e-3,
    1e-2,   1e-1,   1e0,    1e1,    1e2,    1e3,    1e4,    1e5,    1e6,
    1e7,    1e8,    1e9,    1e10,   1e11,   1e12,   1e13,   1e14,   1e15,
    1e16,   1e17,   1e18,   1e19,   1e20,   1e21,   1e22,   1e23,   1e24,
    1e25,   1e26,   1e27,   1e28,   1e29,   1e30,   1e31,   1e32,   1e33,
    1e34,   1e35,   1e36,   1e37,   1e38,   1e39,   1e40,   1e41,   1e42,
    1e43,   1e44,   1e45,   1e46,   1e47,   1e48,   1e49,   1e50,   1e51,
    1e52,   1e53,   1e54,   1e55,   1e56,   1e57,   1e58,   1e59,   1e60,
    1e61,   1e62,   1e63,   1e64,   1e65,   1e66,   1e67,   1e68,   1e69,
    1e70,   1e71,   1e72,   1e73,   1e74,   1e75,   1e76,   1e77,   1e78,
    1e79,   1e80,   1e81,   1e82,   1e83,   1e84,   1e85,   1e86,   1e87,
    1e88,   1e89,   1e90,   1e91,   1e92,   1e93,   1e94,   1e95,   1e96,
    1e97,   1e98,   1e99,   1e100,  1e101,  1e102,  1e103,  1e104,  1e105,
    1e106,  1e107,  1e108,  1e109,  1e110,  1e111,  1e112,  1e113,  1e114,
    1e115,  1e116,  1e117,  1e118,  1e119,  1e120,  1e121,  1e122,  1e123,
    1e124,  1e125,  1e126,  1e127,  1e128,  1e129,  1e130,  1e131,  1e132,
    1e133,  1e134,  1e135,  1e136,  1e137,  1e138,  1e139,  1e140,  1e141,
    1e142,  1e143,  1e144,  1e145,  1e146,  1e147,  1e148,  1e149,  1e150,
    1e151,  1e152,  1e153,  1e154,  1e155,  1e156,  1e157,  1e158,  1e159,
    1e160,  1e161,  1e162,  1e163,  1e164,  1e165,  1e166,  1e167,  1e168,
    1e169,  1e170,  1e171,  1e172,  1e173,  1e174,  1e175,  1e176,  1e177,
    1e178,  1e179,  1e180,  1e181,  1e182,  1e183,  1e184,  1e185,  1e186,
    1e187,  1e188,  1e189,  1e190,  1e191,  1e192,  1e193,  1e194,  1e195,
    1e196,  1e197,  1e198,  1e199,  1e200,  1e201,  1e202,  1e203,  1e204,
    1e205,  1e206,  1e207,  1e208,  1e209,  1e210,  1e211,  1e212,  1e213,
    1e214,  1e215,  1e216,  1e217,  1e218,  1e219,  1e220,  1e221,  1e222,
    1e223,  1e224,  1e225,  1e226,  1e227,  1e228,  1e229,  1e230,  1e231,
    1e232,  1e233,  1e234,  1e235,  1e236,  1e237,  1e238,  1e239,  1e240,
    1e241,  1e242,  1e243,  1e244,  1e245,  1e246,  1e247,  1e248,  1e249,
    1e250,  1e251,  1e252,  1e253,  1e254,  1e255,  1e256,  1e257,  1e258,
    1e259,  1e260,  1e261,  1e262,  1e263,  1e264,  1e265,  1e266,  1e267,
    1e268,  1e269,  1e270,  1e271,  1e272,  1e273,  1e274,  1e275,  1e276,
    1e277,  1e278,  1e279,  1e280,  1e281,  1e282,  1e283,  1e284,  1e285,
    1e286,  1e287,  1e288,  1e289,  1e290,  1e291,  1e292,  1e293,  1e294,
    1e295,  1e296,  1e297,  1e298,  1e299,  1e300,  1e301,  1e302,  1e303,
    1e304,  1e305,  1e306,  1e307,  1e308};

static inline bool is_integer(char c) {
  return (c >= '0' && c <= '9');
  // this gets compiled to (uint8_t)(c - '0') <= 9 on all decent compilers
}

// We need to check that the character following a zero is valid. This is
// probably frequent and it is hard than it looks. We are building all of this
// just to differentiate between 0x1 (invalid), 0,1 (valid) 0e1 (valid)...
const bool structural_or_whitespace_or_exponent_or_decimal_negated[256] = {
    1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1, 1,
    1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1};

really_inline bool
is_not_structural_or_whitespace_or_exponent_or_decimal(unsigned char c) {
  return structural_or_whitespace_or_exponent_or_decimal_negated[c];
}
} // namespace simdjson
#ifndef SIMDJSON_DISABLE_SWAR_NUMBER_PARSING
#define SWAR_NUMBER_PARSING
#endif

#ifdef SWAR_NUMBER_PARSING

namespace simdjson {
// check quickly whether the next 8 chars are made of digits
// at a glance, it looks better than Mula's
// http://0x80.pl/articles/swar-digits-validate.html
static inline bool is_made_of_eight_digits_fast(const char *chars) {
  uint64_t val;
  // this can read up to 7 bytes beyond the buffer size, but we require
  // SIMDJSON_PADDING of padding
  static_assert(7 <= SIMDJSON_PADDING);
  memcpy(&val, chars, 8);
  // a branchy method might be faster:
  // return (( val & 0xF0F0F0F0F0F0F0F0 ) == 0x3030303030303030)
  //  && (( (val + 0x0606060606060606) & 0xF0F0F0F0F0F0F0F0 ) ==
  //  0x3030303030303030);
  return (((val & 0xF0F0F0F0F0F0F0F0) |
           (((val + 0x0606060606060606) & 0xF0F0F0F0F0F0F0F0) >> 4)) ==
          0x3333333333333333);
}
} // namespace simdjson
#ifdef IS_X86_64
TARGET_WESTMERE
namespace simdjson {
static inline uint32_t parse_eight_digits_unrolled(const char *chars) {
  // this actually computes *16* values so we are being wasteful.
  const __m128i ascii0 = _mm_set1_epi8('0');
  const __m128i mul_1_10 =
      _mm_setr_epi8(10, 1, 10, 1, 10, 1, 10, 1, 10, 1, 10, 1, 10, 1, 10, 1);
  const __m128i mul_1_100 = _mm_setr_epi16(100, 1, 100, 1, 100, 1, 100, 1);
  const __m128i mul_1_10000 =
      _mm_setr_epi16(10000, 1, 10000, 1, 10000, 1, 10000, 1);
  const __m128i input = _mm_sub_epi8(
      _mm_loadu_si128(reinterpret_cast<const __m128i *>(chars)), ascii0);
  const __m128i t1 = _mm_maddubs_epi16(input, mul_1_10);
  const __m128i t2 = _mm_madd_epi16(t1, mul_1_100);
  const __m128i t3 = _mm_packus_epi32(t2, t2);
  const __m128i t4 = _mm_madd_epi16(t3, mul_1_10000);
  return _mm_cvtsi128_si32(
      t4); // only captures the sum of the first 8 digits, drop the rest
}
} // namespace simdjson
UNTARGET_REGION
#endif

namespace simdjson {
#ifdef IS_ARM64
// we don't have SSE, so let us use a scalar function
// credit: https://johnnylee-sde.github.io/Fast-numeric-string-to-int/
static inline uint32_t parse_eight_digits_unrolled(const char *chars) {
  uint64_t val;
  memcpy(&val, chars, sizeof(uint64_t));
  val = (val & 0x0F0F0F0F0F0F0F0F) * 2561 >> 8;
  val = (val & 0x00FF00FF00FF00FF) * 6553601 >> 16;
  return (val & 0x0000FFFF0000FFFF) * 42949672960001 >> 32;
}
#endif

#endif

//
// This function computes base * 10 ^ (- negative_exponent ).
// It is only even going to be used when negative_exponent is tiny.
static double subnormal_power10(double base, int negative_exponent) {
  // this is probably not going to be fast
  return base * 1e-308 * pow(10, negative_exponent + 308);
}

// called by parse_number when we know that the output is a float,
// but where there might be some integer overflow. The trick here is to
// parse using floats from the start.
// Do not call this function directly as it skips some of the checks from
// parse_number
//
// This function will almost never be called!!!
//
// Note: a redesign could avoid this function entirely.
//
static never_inline bool parse_float(const uint8_t *const buf, ParsedJson &pj,
                                     const uint32_t offset, bool found_minus) {
  const char *p = reinterpret_cast<const char *>(buf + offset);
  bool negative = false;
  if (found_minus) {
    ++p;
    negative = true;
  }
  long double i;
  if (*p == '0') { // 0 cannot be followed by an integer
    ++p;
    i = 0;
  } else {
    unsigned char digit = *p - '0';
    i = digit;
    p++;
    while (is_integer(*p)) {
      digit = *p - '0';
      i = 10 * i + digit;
      ++p;
    }
  }
  if ('.' == *p) {
    ++p;
    int fractional_weight = 308;
    if (is_integer(*p)) {
      unsigned char digit = *p - '0';
      ++p;

      fractional_weight--;
      i = i + digit * (fractional_weight >= 0 ? power_of_ten[fractional_weight]
                                              : 0);
    } else {
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false;
    }
    while (is_integer(*p)) {
      unsigned char digit = *p - '0';
      ++p;
      fractional_weight--;
      i = i + digit * (fractional_weight >= 0 ? power_of_ten[fractional_weight]
                                              : 0);
    }
  }
  if (('e' == *p) || ('E' == *p)) {
    ++p;
    bool neg_exp = false;
    if ('-' == *p) {
      neg_exp = true;
      ++p;
    } else if ('+' == *p) {
      ++p;
    }
    if (!is_integer(*p)) {
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false;
    }
    unsigned char digit = *p - '0';
    int64_t exp_number = digit; // exponential part
    p++;
    if (is_integer(*p)) {
      digit = *p - '0';
      exp_number = 10 * exp_number + digit;
      ++p;
    }
    if (is_integer(*p)) {
      digit = *p - '0';
      exp_number = 10 * exp_number + digit;
      ++p;
    }
    if (is_integer(*p)) {
      digit = *p - '0';
      exp_number = 10 * exp_number + digit;
      ++p;
    }
    while (is_integer(*p)) {
      if (exp_number > 0x100000000) { // we need to check for overflows
// we refuse to parse this
#ifdef JSON_TEST_NUMBERS // for unit testing
        found_invalid_number(buf + offset);
#endif
        return false;
      }
      digit = *p - '0';
      exp_number = 10 * exp_number + digit;
      ++p;
    }
    if (unlikely(exp_number > 308)) {
      // this path is unlikely
      if (neg_exp) {
        // We either have zero or a subnormal.
        // We expect this to be uncommon so we go through a slow path.
        i = subnormal_power10(i, -exp_number);
      } else {
// We know for sure that we have a number that is too large,
// we refuse to parse this
#ifdef JSON_TEST_NUMBERS // for unit testing
        found_invalid_number(buf + offset);
#endif
        return false;
      }
    } else {
      int exponent = (neg_exp ? -exp_number : exp_number);
      // we have that exp_number is [0,308] so that
      // exponent is [-308,308] so that
      // 308 + exponent is in [0, 2 * 308]
      i *= power_of_ten[308 + exponent];
    }
  }
  if (is_not_structural_or_whitespace(*p)) {
    return false;
  }
  double d = negative ? -i : i;
  pj.write_tape_double(d);
#ifdef JSON_TEST_NUMBERS // for unit testing
  found_float(d, buf + offset);
#endif
  return is_structural_or_whitespace(*p);
}

// called by parse_number when we know that the output is an integer,
// but where there might be some integer overflow.
// we want to catch overflows!
// Do not call this function directly as it skips some of the checks from
// parse_number
//
// This function will almost never be called!!!
//
static never_inline bool parse_large_integer(const uint8_t *const buf,
                                             ParsedJson &pj,
                                             const uint32_t offset,
                                             bool found_minus) {
  const char *p = reinterpret_cast<const char *>(buf + offset);

  bool negative = false;
  if (found_minus) {
    ++p;
    negative = true;
  }
  uint64_t i;
  if (*p == '0') { // 0 cannot be followed by an integer
    ++p;
    i = 0;
  } else {
    unsigned char digit = *p - '0';
    i = digit;
    p++;
    // the is_made_of_eight_digits_fast routine is unlikely to help here because
    // we rarely see large integer parts like 123456789
    while (is_integer(*p)) {
      digit = *p - '0';
      if (mul_overflow(i, 10, &i)) {
#ifdef JSON_TEST_NUMBERS // for unit testing
        found_invalid_number(buf + offset);
#endif
        return false; // overflow
      }
      if (add_overflow(i, digit, &i)) {
#ifdef JSON_TEST_NUMBERS // for unit testing
        found_invalid_number(buf + offset);
#endif
        return false; // overflow
      }
      ++p;
    }
  }
  if (negative) {
    if (i > 0x8000000000000000) {
// overflows!
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false; // overflow
    }
  } else {
    if (i >= 0x8000000000000000) {
// overflows!
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false; // overflow
    }
  }
  int64_t signed_answer =
      negative ? -static_cast<int64_t>(i) : static_cast<int64_t>(i);
  pj.write_tape_s64(signed_answer);
#ifdef JSON_TEST_NUMBERS // for unit testing
  found_integer(signed_answer, buf + offset);
#endif
  return is_structural_or_whitespace(*p);
}

// parse the number at buf + offset
// define JSON_TEST_NUMBERS for unit testing
//
// It is assumed that the number is followed by a structural ({,},],[) character
// or a white space character. If that is not the case (e.g., when the JSON
// document is made of a single number), then it is necessary to copy the
// content and append a space before calling this function.
//
// Our objective is accurate parsing (ULP of 0 or 1) at high speed.
static really_inline bool parse_number(const uint8_t *const buf, ParsedJson &pj,
                                       const uint32_t offset,
                                       bool found_minus) {
#ifdef SIMDJSON_SKIPNUMBERPARSING // for performance analysis, it is sometimes
                                  // useful to skip parsing
  pj.write_tape_s64(0);           // always write zero
  return true;                    // always succeeds
#else
  const char *p = reinterpret_cast<const char *>(buf + offset);
  bool negative = false;
  if (found_minus) {
    ++p;
    negative = true;
    if (!is_integer(*p)) { // a negative sign must be followed by an integer
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false;
    }
  }
  const char *const start_digits = p;

  uint64_t i;      // an unsigned int avoids signed overflows (which are bad)
  if (*p == '0') { // 0 cannot be followed by an integer
    ++p;
    if (is_not_structural_or_whitespace_or_exponent_or_decimal(*p)) {
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false;
    }
    i = 0;
  } else {
    if (!(is_integer(*p))) { // must start with an integer
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false;
    }
    unsigned char digit = *p - '0';
    i = digit;
    p++;
    // the is_made_of_eight_digits_fast routine is unlikely to help here because
    // we rarely see large integer parts like 123456789
    while (is_integer(*p)) {
      digit = *p - '0';
      // a multiplication by 10 is cheaper than an arbitrary integer
      // multiplication
      i = 10 * i + digit; // might overflow, we will handle the overflow later
      ++p;
    }
  }
  int64_t exponent = 0;
  bool is_float = false;
  if ('.' == *p) {
    is_float = true; // At this point we know that we have a float
    // we continue with the fiction that we have an integer. If the
    // floating point number is representable as x * 10^z for some integer
    // z that fits in 53 bits, then we will be able to convert back the
    // the integer into a float in a lossless manner.
    ++p;
    const char *const first_after_period = p;
    if (is_integer(*p)) {
      unsigned char digit = *p - '0';
      ++p;
      i = i * 10 + digit; // might overflow + multiplication by 10 is likely
                          // cheaper than arbitrary mult.
      // we will handle the overflow later
    } else {
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false;
    }
#ifdef SWAR_NUMBER_PARSING
    // this helps if we have lots of decimals!
    // this turns out to be frequent enough.
    if (is_made_of_eight_digits_fast(p)) {
      i = i * 100000000 + parse_eight_digits_unrolled(p);
      p += 8;
    }
#endif
    while (is_integer(*p)) {
      unsigned char digit = *p - '0';
      ++p;
      i = i * 10 + digit; // in rare cases, this will overflow, but that's ok
                          // because we have parse_highprecision_float later.
    }
    exponent = first_after_period - p;
  }
  int digit_count =
      p - start_digits - 1; // used later to guard against overflows
  int64_t exp_number = 0;   // exponential part
  if (('e' == *p) || ('E' == *p)) {
    is_float = true;
    ++p;
    bool neg_exp = false;
    if ('-' == *p) {
      neg_exp = true;
      ++p;
    } else if ('+' == *p) {
      ++p;
    }
    if (!is_integer(*p)) {
#ifdef JSON_TEST_NUMBERS // for unit testing
      found_invalid_number(buf + offset);
#endif
      return false;
    }
    unsigned char digit = *p - '0';
    exp_number = digit;
    p++;
    if (is_integer(*p)) {
      digit = *p - '0';
      exp_number = 10 * exp_number + digit;
      ++p;
    }
    if (is_integer(*p)) {
      digit = *p - '0';
      exp_number = 10 * exp_number + digit;
      ++p;
    }
    while (is_integer(*p)) {
      if (exp_number > 0x100000000) { // we need to check for overflows
                                      // we refuse to parse this
#ifdef JSON_TEST_NUMBERS // for unit testing
        found_invalid_number(buf + offset);
#endif
        return false;
      }
      digit = *p - '0';
      exp_number = 10 * exp_number + digit;
      ++p;
    }
    exponent += (neg_exp ? -exp_number : exp_number);
  }
  if (is_float) {
    uint64_t power_index = 308 + exponent;
    if (unlikely((digit_count >= 19))) { // this is uncommon
      // It is possible that the integer had an overflow.
      // We have to handle the case where we have 0.0000somenumber.
      const char *start = start_digits;
      while ((*start == '0') || (*start == '.')) {
        start++;
      }
      // we over-decrement by one when there is a '.'
      digit_count -= (start - start_digits);
      if (digit_count >= 19) {
        // Ok, chances are good that we had an overflow!
        // this is almost never going to get called!!!
        // we start anew, going slowly!!!
        return parse_float(buf, pj, offset, found_minus);
      }
    }
    if (unlikely((power_index > 2 * 308))) { // this is uncommon!!!
      // this is almost never going to get called!!!
      // we start anew, going slowly!!!
      return parse_float(buf, pj, offset, found_minus);
    }
    double factor = power_of_ten[power_index];
    factor = negative ? -factor : factor;
    double d = i * factor;
    pj.write_tape_double(d);
#ifdef JSON_TEST_NUMBERS // for unit testing
    found_float(d, buf + offset);
#endif
  } else {
    if (unlikely(digit_count >= 18)) { // this is uncommon!!!
      // there is a good chance that we had an overflow, so we need
      // need to recover: we parse the whole thing again.
      return parse_large_integer(buf, pj, offset, found_minus);
    }
    i = negative ? 0 - i : i;
    pj.write_tape_s64(i);
#ifdef JSON_TEST_NUMBERS // for unit testing
    found_integer(i, buf + offset);
#endif
  }
  return is_structural_or_whitespace(*p);
#endif // SIMDJSON_SKIPNUMBERPARSING
}
} // simdjson
#endif
/* end file include/simdjson/numberparsing.h */
/* begin file include/simdjson/stage2_build_tape.h */
#ifndef SIMDJSON_STAGE2_BUILD_TAPE_H
#define SIMDJSON_STAGE2_BUILD_TAPE_H

#include <cassert>
#include <cstring>
#include <iostream>


namespace simdjson {
void init_state_machine();

WARN_UNUSED
really_inline bool is_valid_true_atom(const uint8_t *loc) {
  uint64_t tv = *reinterpret_cast<const uint64_t *>("true    ");
  uint64_t mask4 = 0x00000000ffffffff;
  uint32_t error = 0;
  uint64_t
      locval; // we want to avoid unaligned 64-bit loads (undefined in C/C++)
  // this can read up to 7 bytes beyond the buffer size, but we require
  // SIMDJSON_PADDING of padding
  static_assert(sizeof(uint64_t) - 1 <= SIMDJSON_PADDING);
  std::memcpy(&locval, loc, sizeof(uint64_t));
  error = (locval & mask4) ^ tv;
  error |= is_not_structural_or_whitespace(loc[4]);
  return error == 0;
}

WARN_UNUSED
really_inline bool is_valid_false_atom(const uint8_t *loc) {
  // We have to use an integer constant because the space in the cast
  // below would lead to values illegally being qualified
  // uint64_t fv = *reinterpret_cast<const uint64_t *>("false   ");
  // using this constant (that is the same false) but nulls out the
  // unused bits solves that
  uint64_t fv = 0x00000065736c6166; // takes into account endianness
  uint64_t mask5 = 0x000000ffffffffff;
  // we can't use the 32 bit value for checking for errors otherwise
  // the last character of false (it being 5 byte long!) would be
  // ignored
  uint64_t error = 0;
  uint64_t
      locval; // we want to avoid unaligned 64-bit loads (undefined in C/C++)
  // this can read up to 7 bytes beyond the buffer size, but we require
  // SIMDJSON_PADDING of padding
  static_assert(sizeof(uint64_t) - 1 <= SIMDJSON_PADDING);
  std::memcpy(&locval, loc, sizeof(uint64_t));
  error = (locval & mask5) ^ fv;
  error |= is_not_structural_or_whitespace(loc[5]);
  return error == 0;
}

WARN_UNUSED
really_inline bool is_valid_null_atom(const uint8_t *loc) {
  uint64_t nv = *reinterpret_cast<const uint64_t *>("null    ");
  uint64_t mask4 = 0x00000000ffffffff;
  uint32_t error = 0;
  uint64_t
      locval; // we want to avoid unaligned 64-bit loads (undefined in C/C++)
  // this can read up to 7 bytes beyond the buffer size, but we require
  // SIMDJSON_PADDING of padding
  static_assert(sizeof(uint64_t) - 1 <= SIMDJSON_PADDING);
  std::memcpy(&locval, loc, sizeof(uint64_t));
  error = (locval & mask4) ^ nv;
  error |= is_not_structural_or_whitespace(loc[4]);
  return error == 0;
}

template <Architecture T = Architecture::NATIVE>
WARN_UNUSED ALLOW_SAME_PAGE_BUFFER_OVERRUN_QUALIFIER LENIENT_MEM_SANITIZER int
unified_machine(const uint8_t *buf, size_t len, ParsedJson &pj);

template <Architecture T = Architecture::NATIVE>
int unified_machine(const char *buf, size_t len, ParsedJson &pj) {
  return unified_machine<T>(reinterpret_cast<const uint8_t *>(buf), len, pj);
}

} // namespace simdjson

#endif
/* end file include/simdjson/stage2_build_tape.h */
/* begin file include/simdjson/jsonparser.h */
#ifndef SIMDJSON_JSONPARSER_H
#define SIMDJSON_JSONPARSER_H
#include <string>
#ifdef _MSC_VER
#include <windows.h>
// must be included after windows.h
#include <sysinfoapi.h>
#else
#include <unistd.h>
#endif

namespace simdjson {
// json_parse_implementation is the generic function, it is specialized for
// various architectures, e.g., as
// json_parse_implementation<Architecture::HASWELL> or
// json_parse_implementation<Architecture::ARM64>
template <Architecture T>
int json_parse_implementation(const uint8_t *buf, size_t len, ParsedJson &pj,
                              bool realloc_if_needed = true) {
  if (pj.byte_capacity < len) {
    return simdjson::CAPACITY;
  }
  bool reallocated = false;
  if (realloc_if_needed) {
#if ALLOW_SAME_PAGE_BUFFER_OVERRUN
// realloc is needed if the end of the memory crosses a page
#ifdef _MSC_VER
    SYSTEM_INFO sysInfo;
    GetSystemInfo(&sysInfo);
    long page_size = sysInfo.dwPageSize;
#else
    long page_size = sysconf(_SC_PAGESIZE);
#endif
    //////////////
    // We want to check that buf + len - 1 and buf + len - 1 + SIMDJSON_PADDING
    // are in the same page.
    // That is, we want to check that
    // (buf + len - 1) / page_size == (buf + len - 1 + SIMDJSON_PADDING) /
    // page_size That's true if (buf + len - 1) % page_size + SIMDJSON_PADDING <
    // page_size.
    ///////////
    if ((reinterpret_cast<uintptr_t>(buf + len - 1) % page_size) +
            SIMDJSON_PADDING <
        static_cast<uintptr_t>(page_size)) {
#else // SIMDJSON_SAFE_SAME_PAGE_READ_OVERRUN
    if (true) { // if not SIMDJSON_SAFE_SAME_PAGE_READ_OVERRUN, we always
                // reallocate
#endif
      const uint8_t *tmp_buf = buf;
      buf = (uint8_t *)allocate_padded_buffer(len);
      if (buf == NULL)
        return simdjson::MEMALLOC;
      memcpy((void *)buf, tmp_buf, len);
      reallocated = true;
    } // if (true) OR if ( (reinterpret_cast<uintptr_t>(buf + len - 1) %
      // page_size ) + SIMDJSON_PADDING < static_cast<uintptr_t>(page_size) ) {
  }   // if(realloc_if_needed) {
  int stage1_is_ok = simdjson::find_structural_bits<T>(buf, len, pj);
  if (stage1_is_ok != simdjson::SUCCESS) {
    pj.error_code = stage1_is_ok;
    return pj.error_code;
  }
  int res = unified_machine<T>(buf, len, pj);
  if (reallocated) {
    aligned_free((void *)buf);
  }
  return res;
}

// Parse a document found in buf.
//
// The content should be a valid JSON document encoded as UTF-8. If there is a
// UTF-8 BOM, the caller is responsible for omitting it, UTF-8 BOM are
// discouraged.
//
// You need to preallocate ParsedJson with a capacity of len (e.g.,
// pj.allocate_capacity(len)).
//
// The function returns simdjson::SUCCESS (an integer = 0) in case of a success
// or an error code from simdjson/simdjson.h in case of failure such as
// simdjson::CAPACITY, simdjson::MEMALLOC, simdjson::DEPTH_ERROR and so forth;
// the simdjson::error_message function converts these error codes into a
// string).
//
// You can also check validity by calling pj.is_valid(). The same ParsedJson can
// be reused for other documents.
//
// If realloc_if_needed is true (default) then a temporary buffer is created
// when needed during processing (a copy of the input string is made). The input
// buf should be readable up to buf + len + SIMDJSON_PADDING if
// realloc_if_needed is false, all bytes at and after buf + len  are ignored
// (can be garbage). The ParsedJson object can be reused.

int json_parse(const uint8_t *buf, size_t len, ParsedJson &pj,
               bool realloc_if_needed = true);

// Parse a document found in buf.
//
// The content should be a valid JSON document encoded as UTF-8. If there is a
// UTF-8 BOM, the caller is responsible for omitting it, UTF-8 BOM are
// discouraged.
//
// You need to preallocate ParsedJson with a capacity of len (e.g.,
// pj.allocate_capacity(len)).
//
// The function returns simdjson::SUCCESS (an integer = 0) in case of a success
// or an error code from simdjson/simdjson.h in case of failure such as
// simdjson::CAPACITY, simdjson::MEMALLOC, simdjson::DEPTH_ERROR and so forth;
// the simdjson::error_message function converts these error codes into a
// string).
//
// You can also check validity
// by calling pj.is_valid(). The same ParsedJson can be reused for other
// documents.
//
// If realloc_if_needed is true (default) then a temporary buffer is created
// when needed during processing (a copy of the input string is made). The input
// buf should be readable up to buf + len + SIMDJSON_PADDING  if
// realloc_if_needed is false, all bytes at and after buf + len  are ignored
// (can be garbage). The ParsedJson object can be reused.
int json_parse(const char *buf, size_t len, ParsedJson &pj,
               bool realloc_if_needed = true);

// We do not want to allow implicit conversion from C string to std::string.
int json_parse(const char *buf, ParsedJson &pj) = delete;

// Parse a document found in in string s.
// You need to preallocate ParsedJson with a capacity of len (e.g.,
// pj.allocate_capacity(len)).
//
// The function returns simdjson::SUCCESS (an integer = 0) in case of a success
// or an error code from simdjson/simdjson.h in case of failure such as
// simdjson::CAPACITY, simdjson::MEMALLOC, simdjson::DEPTH_ERROR and so forth;
// the simdjson::error_message function converts these error codes into a
// string).
//
// A temporary buffer is created when needed during processing
// (a copy of the input string is made).
inline int json_parse(const std::string &s, ParsedJson &pj) {
  return json_parse(s.data(), s.length(), pj, true);
}

// Parse a document found in in string s.
//
// The content should be a valid JSON document encoded as UTF-8. If there is a
// UTF-8 BOM, the caller is responsible for omitting it, UTF-8 BOM are
// discouraged.
//
// You need to preallocate ParsedJson with a capacity of len (e.g.,
// pj.allocate_capacity(len)).
//
// The function returns simdjson::SUCCESS (an integer = 0) in case of a success
// or an error code from simdjson/simdjson.h in case of failure such as
// simdjson::CAPACITY, simdjson::MEMALLOC, simdjson::DEPTH_ERROR and so forth;
// the simdjson::error_message function converts these error codes into a
// string).
//
// You can also check validity
// by calling pj.is_valid(). The same ParsedJson can be reused for other
// documents.
inline int json_parse(const padded_string &s, ParsedJson &pj) {
  return json_parse(s.data(), s.length(), pj, false);
}

// Build a ParsedJson object. You can check validity
// by calling pj.is_valid(). This does the memory allocation needed for
// ParsedJson. If realloc_if_needed is true (default) then a temporary buffer is
// created when needed during processing (a copy of the input string is made).
//
// The input buf should be readable up to buf + len + SIMDJSON_PADDING  if
// realloc_if_needed is false, all bytes at and after buf + len  are ignored
// (can be garbage).
//
// The content should be a valid JSON document encoded as UTF-8. If there is a
// UTF-8 BOM, the caller is responsible for omitting it, UTF-8 BOM are
// discouraged.
//
// This is a convenience function which calls json_parse.
WARN_UNUSED
ParsedJson build_parsed_json(const uint8_t *buf, size_t len,
                             bool realloc_if_needed = true);

WARN_UNUSED
// Build a ParsedJson object. You can check validity
// by calling pj.is_valid(). This does the memory allocation needed for
// ParsedJson. If realloc_if_needed is true (default) then a temporary buffer is
// created when needed during processing (a copy of the input string is made).
//
// The input buf should be readable up to buf + len + SIMDJSON_PADDING if
// realloc_if_needed is false, all bytes at and after buf + len  are ignored
// (can be garbage).
//
//
// The content should be a valid JSON document encoded as UTF-8. If there is a
// UTF-8 BOM, the caller is responsible for omitting it, UTF-8 BOM are
// discouraged.
//
// This is a convenience function which calls json_parse.
inline ParsedJson build_parsed_json(const char *buf, size_t len,
                                    bool realloc_if_needed = true) {
  return build_parsed_json(reinterpret_cast<const uint8_t *>(buf), len,
                           realloc_if_needed);
}

// We do not want to allow implicit conversion from C string to std::string.
ParsedJson build_parsed_json(const char *buf) = delete;

// Parse a document found in in string s.
// You need to preallocate ParsedJson with a capacity of len (e.g.,
// pj.allocate_capacity(len)). Return SUCCESS (an integer = 0) in case of a
// success. You can also check validity by calling pj.is_valid(). The same
// ParsedJson can be reused for other documents.
//
// A temporary buffer is created when needed during processing
// (a copy of the input string is made).
//
// The content should be a valid JSON document encoded as UTF-8. If there is a
// UTF-8 BOM, the caller is responsible for omitting it, UTF-8 BOM are
// discouraged.
//
// This is a convenience function which calls json_parse.
WARN_UNUSED
inline ParsedJson build_parsed_json(const std::string &s) {
  return build_parsed_json(s.data(), s.length(), true);
}

// Parse a document found in in string s.
// You need to preallocate ParsedJson with a capacity of len (e.g.,
// pj.allocate_capacity(len)). Return SUCCESS (an integer = 0) in case of a
// success. You can also check validity by calling pj.is_valid(). The same
// ParsedJson can be reused for other documents.
//
// The content should be a valid JSON document encoded as UTF-8. If there is a
// UTF-8 BOM, the caller is responsible for omitting it, UTF-8 BOM are
// discouraged.
//
// This is a convenience function which calls json_parse.
WARN_UNUSED
inline ParsedJson build_parsed_json(const padded_string &s) {
  return build_parsed_json(s.data(), s.length(), false);
}
} // namespace simdjson
#endif
/* end file include/simdjson/jsonparser.h */
